#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAxisCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxisNewCommand();
int vtkAxisExtendedCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxisExtendedNewCommand();
int vtkBlockItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBlockItemNewCommand();
int vtkBrushCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBrushNewCommand();
int vtkChartLegendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartLegendNewCommand();
int vtkChartHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartHistogram2DNewCommand();
int vtkChartMatrixCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartMatrixNewCommand();
int vtkChartParallelCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartParallelCoordinatesNewCommand();
int vtkChartXYCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartXYNewCommand();
int vtkChartPieCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartPieNewCommand();
int vtkColorLegendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorLegendNewCommand();
int vtkPlotPieCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotPieNewCommand();
int vtkColorSeriesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorSeriesNewCommand();
int vtkColorTransferFunctionItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorTransferFunctionItemNewCommand();
int vtkColorTransferControlPointsItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorTransferControlPointsItemNewCommand();
int vtkCompositeControlPointsItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeControlPointsItemNewCommand();
int vtkCompositeTransferFunctionItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeTransferFunctionItemNewCommand();
int vtkContext2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContext2DNewCommand();
int vtkContextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextActorNewCommand();
int vtkContextClipCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextClipNewCommand();
int vtkContextInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextInteractorStyleNewCommand();
int vtkContextSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextSceneNewCommand();
int vtkContextTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextTransformNewCommand();
int vtkContextViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextViewNewCommand();
int vtkImageItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageItemNewCommand();
int vtkLookupTableItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLookupTableItemNewCommand();
int vtkPenCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPenNewCommand();
int vtkPiecewiseControlPointsItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewiseControlPointsItemNewCommand();
int vtkPiecewiseFunctionItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewiseFunctionItemNewCommand();
int vtkPiecewisePointHandleItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewisePointHandleItemNewCommand();
int vtkPlotBarCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotBarNewCommand();
int vtkPlotGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotGridNewCommand();
int vtkPlotHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotHistogram2DNewCommand();
int vtkPlotLineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotLineNewCommand();
int vtkPlotStackedCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotStackedNewCommand();
int vtkPlotParallelCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotParallelCoordinatesNewCommand();
int vtkPlotPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotPointsNewCommand();
int vtkScatterPlotMatrixCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScatterPlotMatrixNewCommand();
int vtkTooltipItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTooltipItemNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkchartstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkchartstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkchartstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkchartstcl_Init(interp);
}


int VTK_EXPORT Vtkchartstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkAxis"), vtkAxisNewCommand,
                  vtkAxisCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAxisExtended"), vtkAxisExtendedNewCommand,
                  vtkAxisExtendedCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBlockItem"), vtkBlockItemNewCommand,
                  vtkBlockItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBrush"), vtkBrushNewCommand,
                  vtkBrushCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartLegend"), vtkChartLegendNewCommand,
                  vtkChartLegendCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartHistogram2D"), vtkChartHistogram2DNewCommand,
                  vtkChartHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartMatrix"), vtkChartMatrixNewCommand,
                  vtkChartMatrixCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartParallelCoordinates"), vtkChartParallelCoordinatesNewCommand,
                  vtkChartParallelCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartXY"), vtkChartXYNewCommand,
                  vtkChartXYCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartPie"), vtkChartPieNewCommand,
                  vtkChartPieCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorLegend"), vtkColorLegendNewCommand,
                  vtkColorLegendCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotPie"), vtkPlotPieNewCommand,
                  vtkPlotPieCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorSeries"), vtkColorSeriesNewCommand,
                  vtkColorSeriesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorTransferFunctionItem"), vtkColorTransferFunctionItemNewCommand,
                  vtkColorTransferFunctionItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorTransferControlPointsItem"), vtkColorTransferControlPointsItemNewCommand,
                  vtkColorTransferControlPointsItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeControlPointsItem"), vtkCompositeControlPointsItemNewCommand,
                  vtkCompositeControlPointsItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeTransferFunctionItem"), vtkCompositeTransferFunctionItemNewCommand,
                  vtkCompositeTransferFunctionItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContext2D"), vtkContext2DNewCommand,
                  vtkContext2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextActor"), vtkContextActorNewCommand,
                  vtkContextActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextClip"), vtkContextClipNewCommand,
                  vtkContextClipCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextInteractorStyle"), vtkContextInteractorStyleNewCommand,
                  vtkContextInteractorStyleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextScene"), vtkContextSceneNewCommand,
                  vtkContextSceneCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextTransform"), vtkContextTransformNewCommand,
                  vtkContextTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextView"), vtkContextViewNewCommand,
                  vtkContextViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageItem"), vtkImageItemNewCommand,
                  vtkImageItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLookupTableItem"), vtkLookupTableItemNewCommand,
                  vtkLookupTableItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPen"), vtkPenNewCommand,
                  vtkPenCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewiseControlPointsItem"), vtkPiecewiseControlPointsItemNewCommand,
                  vtkPiecewiseControlPointsItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewiseFunctionItem"), vtkPiecewiseFunctionItemNewCommand,
                  vtkPiecewiseFunctionItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewisePointHandleItem"), vtkPiecewisePointHandleItemNewCommand,
                  vtkPiecewisePointHandleItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotBar"), vtkPlotBarNewCommand,
                  vtkPlotBarCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotGrid"), vtkPlotGridNewCommand,
                  vtkPlotGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotHistogram2D"), vtkPlotHistogram2DNewCommand,
                  vtkPlotHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotLine"), vtkPlotLineNewCommand,
                  vtkPlotLineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotStacked"), vtkPlotStackedNewCommand,
                  vtkPlotStackedCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotParallelCoordinates"), vtkPlotParallelCoordinatesNewCommand,
                  vtkPlotParallelCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotPoints"), vtkPlotPointsNewCommand,
                  vtkPlotPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScatterPlotMatrix"), vtkScatterPlotMatrixNewCommand,
                  vtkScatterPlotMatrixCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTooltipItem"), vtkTooltipItemNewCommand,
                  vtkTooltipItemCommand);
  char pkgName[]="vtkChartsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
