#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAmoebaMinimizerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAmoebaMinimizerNewCommand();
int vtkAnimationCueCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAnimationCueNewCommand();
int vtkAnimationSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAnimationSceneNewCommand();
int vtkAssemblyNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssemblyNodeNewCommand();
int vtkAssemblyPathCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssemblyPathNewCommand();
int vtkAssemblyPathsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssemblyPathsNewCommand();
int vtkBitArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBitArrayNewCommand();
int vtkBitArrayIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBitArrayIteratorNewCommand();
int vtkBoxCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxNewCommand();
int vtkBoxMuellerRandomSequenceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxMuellerRandomSequenceNewCommand();
int vtkByteSwapCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkByteSwapNewCommand();
int vtkCharArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCharArrayNewCommand();
int vtkClientSocketCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClientSocketNewCommand();
int vtkCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollectionNewCommand();
int vtkCollectionIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollectionIteratorNewCommand();
int vtkConditionVariableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConditionVariableNewCommand();
int vtkContourValuesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContourValuesNewCommand();
int vtkCriticalSectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCriticalSectionNewCommand();
int vtkCylindricalTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCylindricalTransformNewCommand();
int vtkDataArrayCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataArrayCollectionNewCommand();
int vtkDataArrayCollectionIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataArrayCollectionIteratorNewCommand();
int vtkDataArraySelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataArraySelectionNewCommand();
int vtkDebugLeaksCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDebugLeaksNewCommand();
int vtkDirectoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDirectoryNewCommand();
int vtkDoubleArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDoubleArrayNewCommand();
int vtkDynamicLoaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDynamicLoaderNewCommand();
int vtkEdgeTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeTableNewCommand();
int vtkExtentSplitterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtentSplitterNewCommand();
int vtkExtentTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtentTranslatorNewCommand();
int vtkFastNumericConversionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFastNumericConversionNewCommand();
int vtkFileOutputWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFileOutputWindowNewCommand();
int vtkFloatArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFloatArrayNewCommand();
int vtkFunctionParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFunctionParserNewCommand();
int vtkGarbageCollectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGarbageCollectorNewCommand();
int vtkGeneralTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeneralTransformNewCommand();
int vtkHeapCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHeapNewCommand();
int vtkIdListCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIdListNewCommand();
int vtkIdListCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIdListCollectionNewCommand();
int vtkIdTypeArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIdTypeArrayNewCommand();
int vtkIdentityTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIdentityTransformNewCommand();
int vtkImplicitFunctionCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitFunctionCollectionNewCommand();
int vtkInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInformationNewCommand();
int vtkInformationIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInformationIteratorNewCommand();
int vtkInformationVectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInformationVectorNewCommand();
int vtkInstantiatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInstantiatorNewCommand();
int vtkIntArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIntArrayNewCommand();
int vtkLogLookupTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLogLookupTableNewCommand();
int vtkLongArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLongArrayNewCommand();
int vtkLookupTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLookupTableNewCommand();
int vtkLookupTableWithEnablingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLookupTableWithEnablingNewCommand();
int vtkMathCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMathNewCommand();
int vtkMatrix3x3Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMatrix3x3NewCommand();
int vtkMatrix4x4Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMatrix4x4NewCommand();
int vtkMatrixToHomogeneousTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMatrixToHomogeneousTransformNewCommand();
int vtkMatrixToLinearTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMatrixToLinearTransformNewCommand();
int vtkMinimalStandardRandomSequenceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMinimalStandardRandomSequenceNewCommand();
int vtkMultiThreaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiThreaderNewCommand();
int vtkMutexLockCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMutexLockNewCommand();
int vtkObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkObjectNewCommand();
int vtkObjectFactoryCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkObjectFactoryCollectionNewCommand();
int vtkOnePieceExtentTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOnePieceExtentTranslatorNewCommand();
int vtkOutputWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOutputWindowNewCommand();
int vtkParametricBoyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricBoyNewCommand();
int vtkParametricConicSpiralCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricConicSpiralNewCommand();
int vtkParametricCrossCapCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricCrossCapNewCommand();
int vtkParametricDiniCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricDiniNewCommand();
int vtkParametricEllipsoidCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricEllipsoidNewCommand();
int vtkParametricEnneperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricEnneperNewCommand();
int vtkParametricFigure8KleinCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricFigure8KleinNewCommand();
int vtkParametricKleinCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricKleinNewCommand();
int vtkParametricMobiusCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricMobiusNewCommand();
int vtkParametricRandomHillsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricRandomHillsNewCommand();
int vtkParametricRomanCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricRomanNewCommand();
int vtkParametricSuperEllipsoidCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricSuperEllipsoidNewCommand();
int vtkParametricSuperToroidCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricSuperToroidNewCommand();
int vtkParametricTorusCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricTorusNewCommand();
int vtkPerspectiveTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPerspectiveTransformNewCommand();
int vtkPlaneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaneNewCommand();
int vtkPlaneCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaneCollectionNewCommand();
int vtkPlanesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlanesNewCommand();
int vtkPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointsNewCommand();
int vtkPoints2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPoints2DNewCommand();
int vtkPolynomialSolversUnivariateCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolynomialSolversUnivariateNewCommand();
int vtkPriorityQueueCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPriorityQueueNewCommand();
int vtkPropCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPropCollectionNewCommand();
int vtkProperty2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProperty2DNewCommand();
int vtkQuadratureSchemeDefinitionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadratureSchemeDefinitionNewCommand();
int vtkQuadricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadricNewCommand();
int vtkReferenceCountCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkReferenceCountNewCommand();
int vtkRungeKutta2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRungeKutta2NewCommand();
int vtkRungeKutta4Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRungeKutta4NewCommand();
int vtkRungeKutta45Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRungeKutta45NewCommand();
int vtkServerSocketCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkServerSocketNewCommand();
int vtkShortArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkShortArrayNewCommand();
int vtkSignedCharArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSignedCharArrayNewCommand();
int vtkSocketCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSocketCollectionNewCommand();
int vtkSortDataArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSortDataArrayNewCommand();
int vtkSphericalTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphericalTransformNewCommand();
int vtkStringArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringArrayNewCommand();
int vtkStructuredExtentCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredExtentNewCommand();
int vtkStructuredVisibilityConstraintCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredVisibilityConstraintNewCommand();
int vtkTableExtentTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableExtentTranslatorNewCommand();
int vtkTensorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTensorNewCommand();
int vtkThreadMessagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkThreadMessagerNewCommand();
int vtkTimePointUtilityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTimePointUtilityNewCommand();
int vtkTimerLogCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTimerLogNewCommand();
int vtkTransform2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransform2DNewCommand();
int vtkTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransformNewCommand();
int vtkTransformCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransformCollectionNewCommand();
int vtkUnicodeStringArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnicodeStringArrayNewCommand();
int vtkUnsignedCharArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnsignedCharArrayNewCommand();
int vtkUnsignedIntArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnsignedIntArrayNewCommand();
int vtkUnsignedLongArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnsignedLongArrayNewCommand();
int vtkUnsignedShortArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnsignedShortArrayNewCommand();
int vtkVariantArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVariantArrayNewCommand();
int vtkVersionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVersionNewCommand();
int vtkVoidArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVoidArrayNewCommand();
int vtkWindowLevelLookupTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWindowLevelLookupTableNewCommand();
int vtkXMLDataElementCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLDataElementNewCommand();
int vtkXMLFileOutputWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLFileOutputWindowNewCommand();
int vtkLongLongArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLongLongArrayNewCommand();
int vtkUnsignedLongLongArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnsignedLongLongArrayNewCommand();
int vtkTypeInt8ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeInt8ArrayNewCommand();
int vtkTypeInt16ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeInt16ArrayNewCommand();
int vtkTypeInt32ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeInt32ArrayNewCommand();
int vtkTypeInt64ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeInt64ArrayNewCommand();
int vtkTypeUInt8ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeUInt8ArrayNewCommand();
int vtkTypeUInt16ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeUInt16ArrayNewCommand();
int vtkTypeUInt32ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeUInt32ArrayNewCommand();
int vtkTypeUInt64ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeUInt64ArrayNewCommand();
int vtkTypeFloat32ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeFloat32ArrayNewCommand();
int vtkTypeFloat64ArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTypeFloat64ArrayNewCommand();
int vtkCreateCommand(ClientData cd, Tcl_Interp *interp,
               int argc, char *argv[]);

Tcl_HashTable vtkInstanceLookup;
Tcl_HashTable vtkPointerLookup;
Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkcommontcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkcommontcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);
extern "C"
{
void vtkCommonDeleteAssocData(ClientData cd)
  {
  vtkTclInterpStruct *tis = static_cast<vtkTclInterpStruct*>(cd);
  delete tis;
  }
}


int VTK_EXPORT Vtkcommontcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkcommontcl_Init(interp);
}


int VTK_EXPORT Vtkcommontcl_Init(Tcl_Interp *interp)
{
  vtkTclInterpStruct *info = new vtkTclInterpStruct;
  info->Number = 0; info->InDelete = 0; info->DebugOn = 0; info->DeleteExistingObjectOnNew = 0;


  Tcl_InitHashTable(&info->InstanceLookup, TCL_STRING_KEYS);
  Tcl_InitHashTable(&info->PointerLookup, TCL_STRING_KEYS);
  Tcl_InitHashTable(&info->CommandLookup, TCL_STRING_KEYS);
  Tcl_SetAssocData(interp,(char *)("vtk"),NULL,reinterpret_cast<ClientData *>(info));
  Tcl_CreateExitHandler(vtkCommonDeleteAssocData,reinterpret_cast<ClientData *>(info));
  Tcl_CreateCommand(interp,(char *)("vtkCommand"),
                    reinterpret_cast<vtkTclCommandType>(vtkCreateCommand),
                    static_cast<ClientData *>(NULL), NULL);

  Tcl_SetVar2(interp, "tcl_precision", (char *) NULL, "6", TCL_GLOBAL_ONLY);

  vtkTclCreateNew(interp,const_cast<char *>("vtkAmoebaMinimizer"), vtkAmoebaMinimizerNewCommand,
                  vtkAmoebaMinimizerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAnimationCue"), vtkAnimationCueNewCommand,
                  vtkAnimationCueCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAnimationScene"), vtkAnimationSceneNewCommand,
                  vtkAnimationSceneCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssemblyNode"), vtkAssemblyNodeNewCommand,
                  vtkAssemblyNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssemblyPath"), vtkAssemblyPathNewCommand,
                  vtkAssemblyPathCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssemblyPaths"), vtkAssemblyPathsNewCommand,
                  vtkAssemblyPathsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBitArray"), vtkBitArrayNewCommand,
                  vtkBitArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBitArrayIterator"), vtkBitArrayIteratorNewCommand,
                  vtkBitArrayIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBox"), vtkBoxNewCommand,
                  vtkBoxCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxMuellerRandomSequence"), vtkBoxMuellerRandomSequenceNewCommand,
                  vtkBoxMuellerRandomSequenceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkByteSwap"), vtkByteSwapNewCommand,
                  vtkByteSwapCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCharArray"), vtkCharArrayNewCommand,
                  vtkCharArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClientSocket"), vtkClientSocketNewCommand,
                  vtkClientSocketCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCollection"), vtkCollectionNewCommand,
                  vtkCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCollectionIterator"), vtkCollectionIteratorNewCommand,
                  vtkCollectionIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConditionVariable"), vtkConditionVariableNewCommand,
                  vtkConditionVariableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContourValues"), vtkContourValuesNewCommand,
                  vtkContourValuesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCriticalSection"), vtkCriticalSectionNewCommand,
                  vtkCriticalSectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCylindricalTransform"), vtkCylindricalTransformNewCommand,
                  vtkCylindricalTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataArrayCollection"), vtkDataArrayCollectionNewCommand,
                  vtkDataArrayCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataArrayCollectionIterator"), vtkDataArrayCollectionIteratorNewCommand,
                  vtkDataArrayCollectionIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataArraySelection"), vtkDataArraySelectionNewCommand,
                  vtkDataArraySelectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDebugLeaks"), vtkDebugLeaksNewCommand,
                  vtkDebugLeaksCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDirectory"), vtkDirectoryNewCommand,
                  vtkDirectoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDoubleArray"), vtkDoubleArrayNewCommand,
                  vtkDoubleArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDynamicLoader"), vtkDynamicLoaderNewCommand,
                  vtkDynamicLoaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeTable"), vtkEdgeTableNewCommand,
                  vtkEdgeTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtentSplitter"), vtkExtentSplitterNewCommand,
                  vtkExtentSplitterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtentTranslator"), vtkExtentTranslatorNewCommand,
                  vtkExtentTranslatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFastNumericConversion"), vtkFastNumericConversionNewCommand,
                  vtkFastNumericConversionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFileOutputWindow"), vtkFileOutputWindowNewCommand,
                  vtkFileOutputWindowCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFloatArray"), vtkFloatArrayNewCommand,
                  vtkFloatArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFunctionParser"), vtkFunctionParserNewCommand,
                  vtkFunctionParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGarbageCollector"), vtkGarbageCollectorNewCommand,
                  vtkGarbageCollectorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeneralTransform"), vtkGeneralTransformNewCommand,
                  vtkGeneralTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHeap"), vtkHeapNewCommand,
                  vtkHeapCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIdList"), vtkIdListNewCommand,
                  vtkIdListCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIdListCollection"), vtkIdListCollectionNewCommand,
                  vtkIdListCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIdTypeArray"), vtkIdTypeArrayNewCommand,
                  vtkIdTypeArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIdentityTransform"), vtkIdentityTransformNewCommand,
                  vtkIdentityTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitFunctionCollection"), vtkImplicitFunctionCollectionNewCommand,
                  vtkImplicitFunctionCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInformation"), vtkInformationNewCommand,
                  vtkInformationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInformationIterator"), vtkInformationIteratorNewCommand,
                  vtkInformationIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInformationVector"), vtkInformationVectorNewCommand,
                  vtkInformationVectorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInstantiator"), vtkInstantiatorNewCommand,
                  vtkInstantiatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIntArray"), vtkIntArrayNewCommand,
                  vtkIntArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLogLookupTable"), vtkLogLookupTableNewCommand,
                  vtkLogLookupTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLongArray"), vtkLongArrayNewCommand,
                  vtkLongArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLookupTable"), vtkLookupTableNewCommand,
                  vtkLookupTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLookupTableWithEnabling"), vtkLookupTableWithEnablingNewCommand,
                  vtkLookupTableWithEnablingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMath"), vtkMathNewCommand,
                  vtkMathCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMatrix3x3"), vtkMatrix3x3NewCommand,
                  vtkMatrix3x3Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMatrix4x4"), vtkMatrix4x4NewCommand,
                  vtkMatrix4x4Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMatrixToHomogeneousTransform"), vtkMatrixToHomogeneousTransformNewCommand,
                  vtkMatrixToHomogeneousTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMatrixToLinearTransform"), vtkMatrixToLinearTransformNewCommand,
                  vtkMatrixToLinearTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMinimalStandardRandomSequence"), vtkMinimalStandardRandomSequenceNewCommand,
                  vtkMinimalStandardRandomSequenceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiThreader"), vtkMultiThreaderNewCommand,
                  vtkMultiThreaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMutexLock"), vtkMutexLockNewCommand,
                  vtkMutexLockCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkObject"), vtkObjectNewCommand,
                  vtkObjectCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkObjectFactoryCollection"), vtkObjectFactoryCollectionNewCommand,
                  vtkObjectFactoryCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOnePieceExtentTranslator"), vtkOnePieceExtentTranslatorNewCommand,
                  vtkOnePieceExtentTranslatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOutputWindow"), vtkOutputWindowNewCommand,
                  vtkOutputWindowCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricBoy"), vtkParametricBoyNewCommand,
                  vtkParametricBoyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricConicSpiral"), vtkParametricConicSpiralNewCommand,
                  vtkParametricConicSpiralCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricCrossCap"), vtkParametricCrossCapNewCommand,
                  vtkParametricCrossCapCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricDini"), vtkParametricDiniNewCommand,
                  vtkParametricDiniCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricEllipsoid"), vtkParametricEllipsoidNewCommand,
                  vtkParametricEllipsoidCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricEnneper"), vtkParametricEnneperNewCommand,
                  vtkParametricEnneperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricFigure8Klein"), vtkParametricFigure8KleinNewCommand,
                  vtkParametricFigure8KleinCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricKlein"), vtkParametricKleinNewCommand,
                  vtkParametricKleinCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricMobius"), vtkParametricMobiusNewCommand,
                  vtkParametricMobiusCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricRandomHills"), vtkParametricRandomHillsNewCommand,
                  vtkParametricRandomHillsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricRoman"), vtkParametricRomanNewCommand,
                  vtkParametricRomanCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricSuperEllipsoid"), vtkParametricSuperEllipsoidNewCommand,
                  vtkParametricSuperEllipsoidCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricSuperToroid"), vtkParametricSuperToroidNewCommand,
                  vtkParametricSuperToroidCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricTorus"), vtkParametricTorusNewCommand,
                  vtkParametricTorusCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPerspectiveTransform"), vtkPerspectiveTransformNewCommand,
                  vtkPerspectiveTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlane"), vtkPlaneNewCommand,
                  vtkPlaneCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlaneCollection"), vtkPlaneCollectionNewCommand,
                  vtkPlaneCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlanes"), vtkPlanesNewCommand,
                  vtkPlanesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPoints"), vtkPointsNewCommand,
                  vtkPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPoints2D"), vtkPoints2DNewCommand,
                  vtkPoints2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolynomialSolversUnivariate"), vtkPolynomialSolversUnivariateNewCommand,
                  vtkPolynomialSolversUnivariateCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPriorityQueue"), vtkPriorityQueueNewCommand,
                  vtkPriorityQueueCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPropCollection"), vtkPropCollectionNewCommand,
                  vtkPropCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProperty2D"), vtkProperty2DNewCommand,
                  vtkProperty2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadratureSchemeDefinition"), vtkQuadratureSchemeDefinitionNewCommand,
                  vtkQuadratureSchemeDefinitionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadric"), vtkQuadricNewCommand,
                  vtkQuadricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkReferenceCount"), vtkReferenceCountNewCommand,
                  vtkReferenceCountCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRungeKutta2"), vtkRungeKutta2NewCommand,
                  vtkRungeKutta2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRungeKutta4"), vtkRungeKutta4NewCommand,
                  vtkRungeKutta4Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRungeKutta45"), vtkRungeKutta45NewCommand,
                  vtkRungeKutta45Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkServerSocket"), vtkServerSocketNewCommand,
                  vtkServerSocketCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkShortArray"), vtkShortArrayNewCommand,
                  vtkShortArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSignedCharArray"), vtkSignedCharArrayNewCommand,
                  vtkSignedCharArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSocketCollection"), vtkSocketCollectionNewCommand,
                  vtkSocketCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSortDataArray"), vtkSortDataArrayNewCommand,
                  vtkSortDataArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphericalTransform"), vtkSphericalTransformNewCommand,
                  vtkSphericalTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringArray"), vtkStringArrayNewCommand,
                  vtkStringArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredExtent"), vtkStructuredExtentNewCommand,
                  vtkStructuredExtentCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredVisibilityConstraint"), vtkStructuredVisibilityConstraintNewCommand,
                  vtkStructuredVisibilityConstraintCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableExtentTranslator"), vtkTableExtentTranslatorNewCommand,
                  vtkTableExtentTranslatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTensor"), vtkTensorNewCommand,
                  vtkTensorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkThreadMessager"), vtkThreadMessagerNewCommand,
                  vtkThreadMessagerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTimePointUtility"), vtkTimePointUtilityNewCommand,
                  vtkTimePointUtilityCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTimerLog"), vtkTimerLogNewCommand,
                  vtkTimerLogCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransform2D"), vtkTransform2DNewCommand,
                  vtkTransform2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransform"), vtkTransformNewCommand,
                  vtkTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransformCollection"), vtkTransformCollectionNewCommand,
                  vtkTransformCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnicodeStringArray"), vtkUnicodeStringArrayNewCommand,
                  vtkUnicodeStringArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnsignedCharArray"), vtkUnsignedCharArrayNewCommand,
                  vtkUnsignedCharArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnsignedIntArray"), vtkUnsignedIntArrayNewCommand,
                  vtkUnsignedIntArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnsignedLongArray"), vtkUnsignedLongArrayNewCommand,
                  vtkUnsignedLongArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnsignedShortArray"), vtkUnsignedShortArrayNewCommand,
                  vtkUnsignedShortArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVariantArray"), vtkVariantArrayNewCommand,
                  vtkVariantArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVersion"), vtkVersionNewCommand,
                  vtkVersionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVoidArray"), vtkVoidArrayNewCommand,
                  vtkVoidArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWindowLevelLookupTable"), vtkWindowLevelLookupTableNewCommand,
                  vtkWindowLevelLookupTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLDataElement"), vtkXMLDataElementNewCommand,
                  vtkXMLDataElementCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLFileOutputWindow"), vtkXMLFileOutputWindowNewCommand,
                  vtkXMLFileOutputWindowCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLongLongArray"), vtkLongLongArrayNewCommand,
                  vtkLongLongArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnsignedLongLongArray"), vtkUnsignedLongLongArrayNewCommand,
                  vtkUnsignedLongLongArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeInt8Array"), vtkTypeInt8ArrayNewCommand,
                  vtkTypeInt8ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeInt16Array"), vtkTypeInt16ArrayNewCommand,
                  vtkTypeInt16ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeInt32Array"), vtkTypeInt32ArrayNewCommand,
                  vtkTypeInt32ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeInt64Array"), vtkTypeInt64ArrayNewCommand,
                  vtkTypeInt64ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeUInt8Array"), vtkTypeUInt8ArrayNewCommand,
                  vtkTypeUInt8ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeUInt16Array"), vtkTypeUInt16ArrayNewCommand,
                  vtkTypeUInt16ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeUInt32Array"), vtkTypeUInt32ArrayNewCommand,
                  vtkTypeUInt32ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeUInt64Array"), vtkTypeUInt64ArrayNewCommand,
                  vtkTypeUInt64ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeFloat32Array"), vtkTypeFloat32ArrayNewCommand,
                  vtkTypeFloat32ArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTypeFloat64Array"), vtkTypeFloat64ArrayNewCommand,
                  vtkTypeFloat64ArrayCommand);
  char pkgName[]="vtkCommonTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
