#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageToStructuredGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageToStructuredGridNewCommand();
int vtkActor2DCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkActor2DCollectionNewCommand();
int vtkActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkActor2DNewCommand();
int vtkAdjacentVertexIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAdjacentVertexIteratorNewCommand();
int vtkAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAlgorithmNewCommand();
int vtkAlgorithmOutputCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAlgorithmOutputNewCommand();
int vtkAnnotationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAnnotationNewCommand();
int vtkAnnotationLayersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAnnotationLayersNewCommand();
int vtkAnnotationLayersAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAnnotationLayersAlgorithmNewCommand();
int vtkAttributesErrorMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAttributesErrorMetricNewCommand();
int vtkBiQuadraticQuadCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiQuadraticQuadNewCommand();
int vtkBiQuadraticQuadraticHexahedronCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiQuadraticQuadraticHexahedronNewCommand();
int vtkBiQuadraticQuadraticWedgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiQuadraticQuadraticWedgeNewCommand();
int vtkBiQuadraticTriangleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiQuadraticTriangleNewCommand();
int vtkBSPCutsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBSPCutsNewCommand();
int vtkBSPIntersectionsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBSPIntersectionsNewCommand();
int vtkCachedStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCachedStreamingDemandDrivenPipelineNewCommand();
int vtkCardinalSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCardinalSplineNewCommand();
int vtkCastToConcreteCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCastToConcreteNewCommand();
int vtkCellArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellArrayNewCommand();
int vtkCellDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellDataNewCommand();
int vtkCellLinksCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellLinksNewCommand();
int vtkCellLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellLocatorNewCommand();
int vtkCellTreeLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellTreeLocatorNewCommand();
int vtkCellTypesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellTypesNewCommand();
int vtkColorTransferFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorTransferFunctionNewCommand();
int vtkCompositeDataPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeDataPipelineNewCommand();
int vtkCompositeDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeDataSetAlgorithmNewCommand();
int vtkComputingResourcesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkComputingResourcesNewCommand();
int vtkConeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConeNewCommand();
int vtkConvexPointSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConvexPointSetNewCommand();
int vtkCoordinateCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCoordinateNewCommand();
int vtkCubicLineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCubicLineNewCommand();
int vtkCylinderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCylinderNewCommand();
int vtkDataObjectAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectAlgorithmNewCommand();
int vtkDataObjectCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectCollectionNewCommand();
int vtkDataObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectNewCommand();
int vtkDataObjectTypesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectTypesNewCommand();
int vtkDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetAlgorithmNewCommand();
int vtkDataSetAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetAttributesNewCommand();
int vtkDataSetCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetCollectionNewCommand();
int vtkDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDemandDrivenPipelineNewCommand();
int vtkDirectedAcyclicGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDirectedAcyclicGraphNewCommand();
int vtkDirectedGraphAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDirectedGraphAlgorithmNewCommand();
int vtkDirectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDirectedGraphNewCommand();
int vtkDiscretizableColorTransferFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDiscretizableColorTransferFunctionNewCommand();
int vtkEdgeListIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeListIteratorNewCommand();
int vtkEmptyCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEmptyCellNewCommand();
int vtkExecutionSchedulerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExecutionSchedulerNewCommand();
int vtkExecutiveCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExecutiveCollectionNewCommand();
int vtkFieldDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFieldDataNewCommand();
int vtkGenericAttributeCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericAttributeCollectionNewCommand();
int vtkGenericCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericCellNewCommand();
int vtkGenericEdgeTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericEdgeTableNewCommand();
int vtkGenericInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericInterpolatedVelocityFieldNewCommand();
int vtkGeometricErrorMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeometricErrorMetricNewCommand();
int vtkGraphAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphAlgorithmNewCommand();
int vtkGraphEdgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphEdgeNewCommand();
int vtkGraphInternalsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphInternalsNewCommand();
int vtkGraphWeightEuclideanDistanceFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphWeightEuclideanDistanceFilterNewCommand();
int vtkHexagonalPrismCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHexagonalPrismNewCommand();
int vtkHexahedronCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHexahedronNewCommand();
int vtkHierarchicalBoxDataIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalBoxDataIteratorNewCommand();
int vtkHierarchicalBoxDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalBoxDataSetAlgorithmNewCommand();
int vtkHierarchicalBoxDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalBoxDataSetNewCommand();
int vtkHyperOctreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHyperOctreeNewCommand();
int vtkImageBSplineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageBSplineInterpolatorNewCommand();
int vtkImageDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageDataNewCommand();
int vtkImageInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageInterpolatorNewCommand();
int vtkImageSincInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageSincInterpolatorNewCommand();
int vtkImageToStructuredPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageToStructuredPointsNewCommand();
int vtkImplicitBooleanCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitBooleanNewCommand();
int vtkImplicitDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitDataSetNewCommand();
int vtkImplicitHaloCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitHaloNewCommand();
int vtkImplicitSelectionLoopCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitSelectionLoopNewCommand();
int vtkImplicitSumCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitSumNewCommand();
int vtkImplicitVolumeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitVolumeNewCommand();
int vtkImplicitWindowFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitWindowFunctionNewCommand();
int vtkIncrementalOctreeNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIncrementalOctreeNodeNewCommand();
int vtkIncrementalOctreePointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIncrementalOctreePointLocatorNewCommand();
int vtkInEdgeIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInEdgeIteratorNewCommand();
int vtkInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInterpolatedVelocityFieldNewCommand();
int vtkKdNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKdNodeNewCommand();
int vtkKdTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKdTreeNewCommand();
int vtkKdTreePointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKdTreePointLocatorNewCommand();
int vtkKochanekSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKochanekSplineNewCommand();
int vtkLineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineNewCommand();
int vtkLinearSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLinearSelectorNewCommand();
int vtkMeanValueCoordinatesInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMeanValueCoordinatesInterpolatorNewCommand();
int vtkMergePointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergePointsNewCommand();
int vtkMoleculeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMoleculeNewCommand();
int vtkMultiBlockDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiBlockDataSetAlgorithmNewCommand();
int vtkMultiBlockDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiBlockDataSetNewCommand();
int vtkMultiPieceDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiPieceDataSetNewCommand();
int vtkMutableDirectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMutableDirectedGraphNewCommand();
int vtkMutableUndirectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMutableUndirectedGraphNewCommand();
int vtkNonMergingPointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNonMergingPointLocatorNewCommand();
int vtkOctreePointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOctreePointLocatorNewCommand();
int vtkOctreePointLocatorNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOctreePointLocatorNodeNewCommand();
int vtkOrderedTriangulatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrderedTriangulatorNewCommand();
int vtkOutEdgeIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOutEdgeIteratorNewCommand();
int vtkParametricSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParametricSplineNewCommand();
int vtkPassInputTypeAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassInputTypeAlgorithmNewCommand();
int vtkPentagonalPrismCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPentagonalPrismNewCommand();
int vtkPerlinNoiseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPerlinNoiseNewCommand();
int vtkPiecewiseFunctionAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewiseFunctionAlgorithmNewCommand();
int vtkPiecewiseFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewiseFunctionNewCommand();
int vtkPiecewiseFunctionShiftScaleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPiecewiseFunctionShiftScaleNewCommand();
int vtkPixelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPixelNewCommand();
int vtkPlanesIntersectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlanesIntersectionNewCommand();
int vtkPointDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointDataNewCommand();
int vtkPointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointLocatorNewCommand();
int vtkPointSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointSetAlgorithmNewCommand();
int vtkPointsProjectedHullCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointsProjectedHullNewCommand();
int vtkPolyDataAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataAlgorithmNewCommand();
int vtkPolyDataCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataCollectionNewCommand();
int vtkPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataNewCommand();
int vtkPolygonCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolygonNewCommand();
int vtkPolyhedronCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyhedronNewCommand();
int vtkPolyLineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyLineNewCommand();
int vtkPolyPlaneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyPlaneNewCommand();
int vtkPolyVertexCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyVertexNewCommand();
int vtkPropAssemblyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPropAssemblyNewCommand();
int vtkPyramidCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPyramidNewCommand();
int vtkQuadCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadNewCommand();
int vtkQuadraticEdgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticEdgeNewCommand();
int vtkQuadraticHexahedronCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticHexahedronNewCommand();
int vtkQuadraticLinearQuadCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticLinearQuadNewCommand();
int vtkQuadraticLinearWedgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticLinearWedgeNewCommand();
int vtkQuadraticPyramidCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticPyramidNewCommand();
int vtkQuadraticQuadCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticQuadNewCommand();
int vtkQuadraticTetraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticTetraNewCommand();
int vtkQuadraticTriangleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticTriangleNewCommand();
int vtkQuadraticWedgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadraticWedgeNewCommand();
int vtkRectilinearGridAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearGridAlgorithmNewCommand();
int vtkRectilinearGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearGridNewCommand();
int vtkReebGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkReebGraphNewCommand();
int vtkReebGraphSimplificationMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkReebGraphSimplificationMetricNewCommand();
int vtkSelectionAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSelectionAlgorithmNewCommand();
int vtkSelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSelectionNewCommand();
int vtkSelectionNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSelectionNodeNewCommand();
int vtkSimpleCellTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimpleCellTessellatorNewCommand();
int vtkSimpleScalarTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimpleScalarTreeNewCommand();
int vtkSmoothErrorMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSmoothErrorMetricNewCommand();
int vtkSphereCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereNewCommand();
int vtkStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStreamingDemandDrivenPipelineNewCommand();
int vtkStructuredGridAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredGridAlgorithmNewCommand();
int vtkStructuredGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredGridNewCommand();
int vtkStructuredPointsCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredPointsCollectionNewCommand();
int vtkStructuredPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredPointsNewCommand();
int vtkSuperquadricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSuperquadricNewCommand();
int vtkTableAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableAlgorithmNewCommand();
int vtkTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableNewCommand();
int vtkTemporalDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTemporalDataSetAlgorithmNewCommand();
int vtkTemporalDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTemporalDataSetNewCommand();
int vtkTetraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTetraNewCommand();
int vtkThreadedStreamingPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkThreadedStreamingPipelineNewCommand();
int vtkTreeAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeAlgorithmNewCommand();
int vtkTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeNewCommand();
int vtkTreeBFSIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeBFSIteratorNewCommand();
int vtkTreeDFSIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeDFSIteratorNewCommand();
int vtkTriangleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTriangleNewCommand();
int vtkTriangleStripCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTriangleStripNewCommand();
int vtkTriQuadraticHexahedronCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTriQuadraticHexahedronNewCommand();
int vtkTrivialProducerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTrivialProducerNewCommand();
int vtkUndirectedGraphAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUndirectedGraphAlgorithmNewCommand();
int vtkUndirectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUndirectedGraphNewCommand();
int vtkUniformGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUniformGridNewCommand();
int vtkUnstructuredGridAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnstructuredGridAlgorithmNewCommand();
int vtkUnstructuredGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnstructuredGridNewCommand();
int vtkVertexCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVertexNewCommand();
int vtkVertexListIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVertexListIteratorNewCommand();
int vtkViewDependentErrorMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewDependentErrorMetricNewCommand();
int vtkVoxelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVoxelNewCommand();
int vtkWedgeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWedgeNewCommand();
int vtkArrayDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayDataNewCommand();
int vtkArrayDataAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayDataAlgorithmNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfilteringtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfilteringtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfilteringtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfilteringtcl_Init(interp);
}


int VTK_EXPORT Vtkfilteringtcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkImageToStructuredGrid"), vtkImageToStructuredGridNewCommand,
                  vtkImageToStructuredGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkActor2DCollection"), vtkActor2DCollectionNewCommand,
                  vtkActor2DCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkActor2D"), vtkActor2DNewCommand,
                  vtkActor2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAdjacentVertexIterator"), vtkAdjacentVertexIteratorNewCommand,
                  vtkAdjacentVertexIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAlgorithm"), vtkAlgorithmNewCommand,
                  vtkAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAlgorithmOutput"), vtkAlgorithmOutputNewCommand,
                  vtkAlgorithmOutputCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAnnotation"), vtkAnnotationNewCommand,
                  vtkAnnotationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAnnotationLayers"), vtkAnnotationLayersNewCommand,
                  vtkAnnotationLayersCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAnnotationLayersAlgorithm"), vtkAnnotationLayersAlgorithmNewCommand,
                  vtkAnnotationLayersAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAttributesErrorMetric"), vtkAttributesErrorMetricNewCommand,
                  vtkAttributesErrorMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiQuadraticQuad"), vtkBiQuadraticQuadNewCommand,
                  vtkBiQuadraticQuadCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiQuadraticQuadraticHexahedron"), vtkBiQuadraticQuadraticHexahedronNewCommand,
                  vtkBiQuadraticQuadraticHexahedronCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiQuadraticQuadraticWedge"), vtkBiQuadraticQuadraticWedgeNewCommand,
                  vtkBiQuadraticQuadraticWedgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiQuadraticTriangle"), vtkBiQuadraticTriangleNewCommand,
                  vtkBiQuadraticTriangleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBSPCuts"), vtkBSPCutsNewCommand,
                  vtkBSPCutsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBSPIntersections"), vtkBSPIntersectionsNewCommand,
                  vtkBSPIntersectionsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCachedStreamingDemandDrivenPipeline"), vtkCachedStreamingDemandDrivenPipelineNewCommand,
                  vtkCachedStreamingDemandDrivenPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCardinalSpline"), vtkCardinalSplineNewCommand,
                  vtkCardinalSplineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCastToConcrete"), vtkCastToConcreteNewCommand,
                  vtkCastToConcreteCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellArray"), vtkCellArrayNewCommand,
                  vtkCellArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellData"), vtkCellDataNewCommand,
                  vtkCellDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellLinks"), vtkCellLinksNewCommand,
                  vtkCellLinksCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellLocator"), vtkCellLocatorNewCommand,
                  vtkCellLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellTreeLocator"), vtkCellTreeLocatorNewCommand,
                  vtkCellTreeLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellTypes"), vtkCellTypesNewCommand,
                  vtkCellTypesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorTransferFunction"), vtkColorTransferFunctionNewCommand,
                  vtkColorTransferFunctionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeDataPipeline"), vtkCompositeDataPipelineNewCommand,
                  vtkCompositeDataPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeDataSetAlgorithm"), vtkCompositeDataSetAlgorithmNewCommand,
                  vtkCompositeDataSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkComputingResources"), vtkComputingResourcesNewCommand,
                  vtkComputingResourcesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCone"), vtkConeNewCommand,
                  vtkConeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConvexPointSet"), vtkConvexPointSetNewCommand,
                  vtkConvexPointSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCoordinate"), vtkCoordinateNewCommand,
                  vtkCoordinateCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCubicLine"), vtkCubicLineNewCommand,
                  vtkCubicLineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCylinder"), vtkCylinderNewCommand,
                  vtkCylinderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectAlgorithm"), vtkDataObjectAlgorithmNewCommand,
                  vtkDataObjectAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectCollection"), vtkDataObjectCollectionNewCommand,
                  vtkDataObjectCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObject"), vtkDataObjectNewCommand,
                  vtkDataObjectCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectTypes"), vtkDataObjectTypesNewCommand,
                  vtkDataObjectTypesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetAlgorithm"), vtkDataSetAlgorithmNewCommand,
                  vtkDataSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetAttributes"), vtkDataSetAttributesNewCommand,
                  vtkDataSetAttributesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetCollection"), vtkDataSetCollectionNewCommand,
                  vtkDataSetCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDemandDrivenPipeline"), vtkDemandDrivenPipelineNewCommand,
                  vtkDemandDrivenPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDirectedAcyclicGraph"), vtkDirectedAcyclicGraphNewCommand,
                  vtkDirectedAcyclicGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDirectedGraphAlgorithm"), vtkDirectedGraphAlgorithmNewCommand,
                  vtkDirectedGraphAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDirectedGraph"), vtkDirectedGraphNewCommand,
                  vtkDirectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDiscretizableColorTransferFunction"), vtkDiscretizableColorTransferFunctionNewCommand,
                  vtkDiscretizableColorTransferFunctionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeListIterator"), vtkEdgeListIteratorNewCommand,
                  vtkEdgeListIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEmptyCell"), vtkEmptyCellNewCommand,
                  vtkEmptyCellCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExecutionScheduler"), vtkExecutionSchedulerNewCommand,
                  vtkExecutionSchedulerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExecutiveCollection"), vtkExecutiveCollectionNewCommand,
                  vtkExecutiveCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFieldData"), vtkFieldDataNewCommand,
                  vtkFieldDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericAttributeCollection"), vtkGenericAttributeCollectionNewCommand,
                  vtkGenericAttributeCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericCell"), vtkGenericCellNewCommand,
                  vtkGenericCellCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericEdgeTable"), vtkGenericEdgeTableNewCommand,
                  vtkGenericEdgeTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericInterpolatedVelocityField"), vtkGenericInterpolatedVelocityFieldNewCommand,
                  vtkGenericInterpolatedVelocityFieldCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeometricErrorMetric"), vtkGeometricErrorMetricNewCommand,
                  vtkGeometricErrorMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphAlgorithm"), vtkGraphAlgorithmNewCommand,
                  vtkGraphAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphEdge"), vtkGraphEdgeNewCommand,
                  vtkGraphEdgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphInternals"), vtkGraphInternalsNewCommand,
                  vtkGraphInternalsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphWeightEuclideanDistanceFilter"), vtkGraphWeightEuclideanDistanceFilterNewCommand,
                  vtkGraphWeightEuclideanDistanceFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHexagonalPrism"), vtkHexagonalPrismNewCommand,
                  vtkHexagonalPrismCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHexahedron"), vtkHexahedronNewCommand,
                  vtkHexahedronCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalBoxDataIterator"), vtkHierarchicalBoxDataIteratorNewCommand,
                  vtkHierarchicalBoxDataIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalBoxDataSetAlgorithm"), vtkHierarchicalBoxDataSetAlgorithmNewCommand,
                  vtkHierarchicalBoxDataSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalBoxDataSet"), vtkHierarchicalBoxDataSetNewCommand,
                  vtkHierarchicalBoxDataSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHyperOctree"), vtkHyperOctreeNewCommand,
                  vtkHyperOctreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageBSplineInterpolator"), vtkImageBSplineInterpolatorNewCommand,
                  vtkImageBSplineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageData"), vtkImageDataNewCommand,
                  vtkImageDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageInterpolator"), vtkImageInterpolatorNewCommand,
                  vtkImageInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageSincInterpolator"), vtkImageSincInterpolatorNewCommand,
                  vtkImageSincInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageToStructuredPoints"), vtkImageToStructuredPointsNewCommand,
                  vtkImageToStructuredPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitBoolean"), vtkImplicitBooleanNewCommand,
                  vtkImplicitBooleanCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitDataSet"), vtkImplicitDataSetNewCommand,
                  vtkImplicitDataSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitHalo"), vtkImplicitHaloNewCommand,
                  vtkImplicitHaloCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitSelectionLoop"), vtkImplicitSelectionLoopNewCommand,
                  vtkImplicitSelectionLoopCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitSum"), vtkImplicitSumNewCommand,
                  vtkImplicitSumCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitVolume"), vtkImplicitVolumeNewCommand,
                  vtkImplicitVolumeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitWindowFunction"), vtkImplicitWindowFunctionNewCommand,
                  vtkImplicitWindowFunctionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIncrementalOctreeNode"), vtkIncrementalOctreeNodeNewCommand,
                  vtkIncrementalOctreeNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIncrementalOctreePointLocator"), vtkIncrementalOctreePointLocatorNewCommand,
                  vtkIncrementalOctreePointLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInEdgeIterator"), vtkInEdgeIteratorNewCommand,
                  vtkInEdgeIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInterpolatedVelocityField"), vtkInterpolatedVelocityFieldNewCommand,
                  vtkInterpolatedVelocityFieldCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKdNode"), vtkKdNodeNewCommand,
                  vtkKdNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKdTree"), vtkKdTreeNewCommand,
                  vtkKdTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKdTreePointLocator"), vtkKdTreePointLocatorNewCommand,
                  vtkKdTreePointLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKochanekSpline"), vtkKochanekSplineNewCommand,
                  vtkKochanekSplineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLine"), vtkLineNewCommand,
                  vtkLineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLinearSelector"), vtkLinearSelectorNewCommand,
                  vtkLinearSelectorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMeanValueCoordinatesInterpolator"), vtkMeanValueCoordinatesInterpolatorNewCommand,
                  vtkMeanValueCoordinatesInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergePoints"), vtkMergePointsNewCommand,
                  vtkMergePointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMolecule"), vtkMoleculeNewCommand,
                  vtkMoleculeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), vtkMultiBlockDataSetAlgorithmNewCommand,
                  vtkMultiBlockDataSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiBlockDataSet"), vtkMultiBlockDataSetNewCommand,
                  vtkMultiBlockDataSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiPieceDataSet"), vtkMultiPieceDataSetNewCommand,
                  vtkMultiPieceDataSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMutableDirectedGraph"), vtkMutableDirectedGraphNewCommand,
                  vtkMutableDirectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMutableUndirectedGraph"), vtkMutableUndirectedGraphNewCommand,
                  vtkMutableUndirectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNonMergingPointLocator"), vtkNonMergingPointLocatorNewCommand,
                  vtkNonMergingPointLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOctreePointLocator"), vtkOctreePointLocatorNewCommand,
                  vtkOctreePointLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOctreePointLocatorNode"), vtkOctreePointLocatorNodeNewCommand,
                  vtkOctreePointLocatorNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrderedTriangulator"), vtkOrderedTriangulatorNewCommand,
                  vtkOrderedTriangulatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOutEdgeIterator"), vtkOutEdgeIteratorNewCommand,
                  vtkOutEdgeIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParametricSpline"), vtkParametricSplineNewCommand,
                  vtkParametricSplineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), vtkPassInputTypeAlgorithmNewCommand,
                  vtkPassInputTypeAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPentagonalPrism"), vtkPentagonalPrismNewCommand,
                  vtkPentagonalPrismCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPerlinNoise"), vtkPerlinNoiseNewCommand,
                  vtkPerlinNoiseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewiseFunctionAlgorithm"), vtkPiecewiseFunctionAlgorithmNewCommand,
                  vtkPiecewiseFunctionAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewiseFunction"), vtkPiecewiseFunctionNewCommand,
                  vtkPiecewiseFunctionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPiecewiseFunctionShiftScale"), vtkPiecewiseFunctionShiftScaleNewCommand,
                  vtkPiecewiseFunctionShiftScaleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPixel"), vtkPixelNewCommand,
                  vtkPixelCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlanesIntersection"), vtkPlanesIntersectionNewCommand,
                  vtkPlanesIntersectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointData"), vtkPointDataNewCommand,
                  vtkPointDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointLocator"), vtkPointLocatorNewCommand,
                  vtkPointLocatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointSetAlgorithm"), vtkPointSetAlgorithmNewCommand,
                  vtkPointSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointsProjectedHull"), vtkPointsProjectedHullNewCommand,
                  vtkPointsProjectedHullCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataAlgorithm"), vtkPolyDataAlgorithmNewCommand,
                  vtkPolyDataAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataCollection"), vtkPolyDataCollectionNewCommand,
                  vtkPolyDataCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyData"), vtkPolyDataNewCommand,
                  vtkPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolygon"), vtkPolygonNewCommand,
                  vtkPolygonCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyhedron"), vtkPolyhedronNewCommand,
                  vtkPolyhedronCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyLine"), vtkPolyLineNewCommand,
                  vtkPolyLineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyPlane"), vtkPolyPlaneNewCommand,
                  vtkPolyPlaneCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyVertex"), vtkPolyVertexNewCommand,
                  vtkPolyVertexCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPropAssembly"), vtkPropAssemblyNewCommand,
                  vtkPropAssemblyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPyramid"), vtkPyramidNewCommand,
                  vtkPyramidCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuad"), vtkQuadNewCommand,
                  vtkQuadCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticEdge"), vtkQuadraticEdgeNewCommand,
                  vtkQuadraticEdgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticHexahedron"), vtkQuadraticHexahedronNewCommand,
                  vtkQuadraticHexahedronCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticLinearQuad"), vtkQuadraticLinearQuadNewCommand,
                  vtkQuadraticLinearQuadCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticLinearWedge"), vtkQuadraticLinearWedgeNewCommand,
                  vtkQuadraticLinearWedgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticPyramid"), vtkQuadraticPyramidNewCommand,
                  vtkQuadraticPyramidCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticQuad"), vtkQuadraticQuadNewCommand,
                  vtkQuadraticQuadCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticTetra"), vtkQuadraticTetraNewCommand,
                  vtkQuadraticTetraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticTriangle"), vtkQuadraticTriangleNewCommand,
                  vtkQuadraticTriangleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadraticWedge"), vtkQuadraticWedgeNewCommand,
                  vtkQuadraticWedgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearGridAlgorithm"), vtkRectilinearGridAlgorithmNewCommand,
                  vtkRectilinearGridAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearGrid"), vtkRectilinearGridNewCommand,
                  vtkRectilinearGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkReebGraph"), vtkReebGraphNewCommand,
                  vtkReebGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkReebGraphSimplificationMetric"), vtkReebGraphSimplificationMetricNewCommand,
                  vtkReebGraphSimplificationMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSelectionAlgorithm"), vtkSelectionAlgorithmNewCommand,
                  vtkSelectionAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSelection"), vtkSelectionNewCommand,
                  vtkSelectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSelectionNode"), vtkSelectionNodeNewCommand,
                  vtkSelectionNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimpleCellTessellator"), vtkSimpleCellTessellatorNewCommand,
                  vtkSimpleCellTessellatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimpleScalarTree"), vtkSimpleScalarTreeNewCommand,
                  vtkSimpleScalarTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSmoothErrorMetric"), vtkSmoothErrorMetricNewCommand,
                  vtkSmoothErrorMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphere"), vtkSphereNewCommand,
                  vtkSphereCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStreamingDemandDrivenPipeline"), vtkStreamingDemandDrivenPipelineNewCommand,
                  vtkStreamingDemandDrivenPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredGridAlgorithm"), vtkStructuredGridAlgorithmNewCommand,
                  vtkStructuredGridAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredGrid"), vtkStructuredGridNewCommand,
                  vtkStructuredGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredPointsCollection"), vtkStructuredPointsCollectionNewCommand,
                  vtkStructuredPointsCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredPoints"), vtkStructuredPointsNewCommand,
                  vtkStructuredPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSuperquadric"), vtkSuperquadricNewCommand,
                  vtkSuperquadricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableAlgorithm"), vtkTableAlgorithmNewCommand,
                  vtkTableAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTable"), vtkTableNewCommand,
                  vtkTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTemporalDataSetAlgorithm"), vtkTemporalDataSetAlgorithmNewCommand,
                  vtkTemporalDataSetAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTemporalDataSet"), vtkTemporalDataSetNewCommand,
                  vtkTemporalDataSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTetra"), vtkTetraNewCommand,
                  vtkTetraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkThreadedStreamingPipeline"), vtkThreadedStreamingPipelineNewCommand,
                  vtkThreadedStreamingPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeAlgorithm"), vtkTreeAlgorithmNewCommand,
                  vtkTreeAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTree"), vtkTreeNewCommand,
                  vtkTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeBFSIterator"), vtkTreeBFSIteratorNewCommand,
                  vtkTreeBFSIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeDFSIterator"), vtkTreeDFSIteratorNewCommand,
                  vtkTreeDFSIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTriangle"), vtkTriangleNewCommand,
                  vtkTriangleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTriangleStrip"), vtkTriangleStripNewCommand,
                  vtkTriangleStripCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTriQuadraticHexahedron"), vtkTriQuadraticHexahedronNewCommand,
                  vtkTriQuadraticHexahedronCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTrivialProducer"), vtkTrivialProducerNewCommand,
                  vtkTrivialProducerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUndirectedGraphAlgorithm"), vtkUndirectedGraphAlgorithmNewCommand,
                  vtkUndirectedGraphAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUndirectedGraph"), vtkUndirectedGraphNewCommand,
                  vtkUndirectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUniformGrid"), vtkUniformGridNewCommand,
                  vtkUniformGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), vtkUnstructuredGridAlgorithmNewCommand,
                  vtkUnstructuredGridAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnstructuredGrid"), vtkUnstructuredGridNewCommand,
                  vtkUnstructuredGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVertex"), vtkVertexNewCommand,
                  vtkVertexCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVertexListIterator"), vtkVertexListIteratorNewCommand,
                  vtkVertexListIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkViewDependentErrorMetric"), vtkViewDependentErrorMetricNewCommand,
                  vtkViewDependentErrorMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVoxel"), vtkVoxelNewCommand,
                  vtkVoxelCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWedge"), vtkWedgeNewCommand,
                  vtkWedgeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayData"), vtkArrayDataNewCommand,
                  vtkArrayDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayDataAlgorithm"), vtkArrayDataAlgorithmNewCommand,
                  vtkArrayDataAlgorithmCommand);
  char pkgName[]="vtkFilteringTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
