#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkASCIITextCodecCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkASCIITextCodecNewCommand();
int vtkAVSucdReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAVSucdReaderNewCommand();
int vtkBMPReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBMPReaderNewCommand();
int vtkBMPWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBMPWriterNewCommand();
int vtkBYUReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBYUReaderNewCommand();
int vtkBYUWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBYUWriterNewCommand();
int vtkBase64InputStreamCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBase64InputStreamNewCommand();
int vtkBase64OutputStreamCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBase64OutputStreamNewCommand();
int vtkBase64UtilitiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBase64UtilitiesNewCommand();
int vtkCGMWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCGMWriterNewCommand();
int vtkChacoReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChacoReaderNewCommand();
int vtkCompositeDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeDataReaderNewCommand();
int vtkCompositeDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositeDataWriterNewCommand();
int vtkDEMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDEMReaderNewCommand();
int vtkDICOMImageReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDICOMImageReaderNewCommand();
int vtkDataObjectReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectReaderNewCommand();
int vtkDataObjectWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectWriterNewCommand();
int vtkDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataReaderNewCommand();
int vtkDataSetReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetReaderNewCommand();
int vtkDataSetWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetWriterNewCommand();
int vtkDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataWriterNewCommand();
int vtkDelimitedTextWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDelimitedTextWriterNewCommand();
int vtkEnSight6BinaryReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEnSight6BinaryReaderNewCommand();
int vtkEnSight6ReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEnSight6ReaderNewCommand();
int vtkEnSightGoldBinaryReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEnSightGoldBinaryReaderNewCommand();
int vtkEnSightGoldReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEnSightGoldReaderNewCommand();
int vtkEnSightMasterServerReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEnSightMasterServerReaderNewCommand();
int vtkFLUENTReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFLUENTReaderNewCommand();
int vtkFacetWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFacetWriterNewCommand();
int vtkGESignaReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGESignaReaderNewCommand();
int vtkGAMBITReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGAMBITReaderNewCommand();
int vtkGaussianCubeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGaussianCubeReaderNewCommand();
int vtkGenericDataObjectReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericDataObjectReaderNewCommand();
int vtkGenericDataObjectWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericDataObjectWriterNewCommand();
int vtkGenericEnSightReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericEnSightReaderNewCommand();
int vtkGlobFileNamesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGlobFileNamesNewCommand();
int vtkGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphReaderNewCommand();
int vtkGraphWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphWriterNewCommand();
int vtkIVWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIVWriterNewCommand();
int vtkImageReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageReaderNewCommand();
int vtkImageReader2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageReader2NewCommand();
int vtkImageReader2CollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageReader2CollectionNewCommand();
int vtkImageReader2FactoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageReader2FactoryNewCommand();
int vtkImageWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageWriterNewCommand();
int vtkInputStreamCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInputStreamNewCommand();
int vtkJavaScriptDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkJavaScriptDataWriterNewCommand();
int vtkJPEGReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkJPEGReaderNewCommand();
int vtkJPEGWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkJPEGWriterNewCommand();
int vtkLSDynaReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLSDynaReaderNewCommand();
int vtkLSDynaSummaryParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLSDynaSummaryParserNewCommand();
int vtkMFIXReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMFIXReaderNewCommand();
int vtkMaterialLibraryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMaterialLibraryNewCommand();
int vtkMCubesReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMCubesReaderNewCommand();
int vtkMCubesWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMCubesWriterNewCommand();
int vtkMedicalImagePropertiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMedicalImagePropertiesNewCommand();
int vtkMedicalImageReader2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMedicalImageReader2NewCommand();
int vtkMetaImageReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMetaImageReaderNewCommand();
int vtkMetaImageWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMetaImageWriterNewCommand();
int vtkMINCImageAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMINCImageAttributesNewCommand();
int vtkMINCImageReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMINCImageReaderNewCommand();
int vtkMINCImageWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMINCImageWriterNewCommand();
int vtkMPASReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMPASReaderNewCommand();
int vtkMultiBlockPLOT3DReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiBlockPLOT3DReaderNewCommand();
int vtkNetCDFCAMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetCDFCAMReaderNewCommand();
int vtkNetCDFCFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetCDFCFReaderNewCommand();
int vtkNetCDFPOPReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetCDFPOPReaderNewCommand();
int vtkNetCDFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetCDFReaderNewCommand();
int vtkOBJReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOBJReaderNewCommand();
int vtkOggTheoraWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOggTheoraWriterNewCommand();
int vtkOpenFOAMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenFOAMReaderNewCommand();
int vtkOutputStreamCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOutputStreamNewCommand();
int vtkPDBReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPDBReaderNewCommand();
int vtkPLOT3DReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPLOT3DReaderNewCommand();
int vtkPLYReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPLYReaderNewCommand();
int vtkPLYWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPLYWriterNewCommand();
int vtkPNGReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPNGReaderNewCommand();
int vtkPNGWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPNGWriterNewCommand();
int vtkPNMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPNMReaderNewCommand();
int vtkPNMWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPNMWriterNewCommand();
int vtkParticleReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParticleReaderNewCommand();
int vtkPolyDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataReaderNewCommand();
int vtkPolyDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataWriterNewCommand();
int vtkPostScriptWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPostScriptWriterNewCommand();
int vtkProStarReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProStarReaderNewCommand();
int vtkRectilinearGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearGridReaderNewCommand();
int vtkRectilinearGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearGridWriterNewCommand();
int vtkRTXMLPolyDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRTXMLPolyDataReaderNewCommand();
int vtkSESAMEReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSESAMEReaderNewCommand();
int vtkShaderCodeLibraryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkShaderCodeLibraryNewCommand();
int vtkSLACParticleReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSLACParticleReaderNewCommand();
int vtkSLACReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSLACReaderNewCommand();
int vtkSQLDatabaseSchemaCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLDatabaseSchemaNewCommand();
int vtkSQLiteDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLiteDatabaseNewCommand();
int vtkSQLiteToTableReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLiteToTableReaderNewCommand();
int vtkSQLiteQueryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLiteQueryNewCommand();
int vtkSLCReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSLCReaderNewCommand();
int vtkSTLReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSTLReaderNewCommand();
int vtkSTLWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSTLWriterNewCommand();
int vtkSimplePointsReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimplePointsReaderNewCommand();
int vtkSimplePointsWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimplePointsWriterNewCommand();
int vtkSortFileNamesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSortFileNamesNewCommand();
int vtkStructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredGridReaderNewCommand();
int vtkStructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredGridWriterNewCommand();
int vtkStructuredPointsReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredPointsReaderNewCommand();
int vtkStructuredPointsWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStructuredPointsWriterNewCommand();
int vtkTableReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableReaderNewCommand();
int vtkTableWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableWriterNewCommand();
int vtkTableToSQLiteWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToSQLiteWriterNewCommand();
int vtkTecplotReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTecplotReaderNewCommand();
int vtkTIFFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTIFFReaderNewCommand();
int vtkTIFFWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTIFFWriterNewCommand();
int vtkTreeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeReaderNewCommand();
int vtkTreeWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeWriterNewCommand();
int vtkUGFacetReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUGFacetReaderNewCommand();
int vtkUnstructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnstructuredGridReaderNewCommand();
int vtkUnstructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnstructuredGridWriterNewCommand();
int vtkUTF8TextCodecCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUTF8TextCodecNewCommand();
int vtkUTF16TextCodecCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUTF16TextCodecNewCommand();
int vtkVolume16ReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVolume16ReaderNewCommand();
int vtkXMLDataParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLDataParserNewCommand();
int vtkXMLDataSetWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLDataSetWriterNewCommand();
int vtkXMLFileReadTesterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLFileReadTesterNewCommand();
int vtkXMLGenericDataObjectReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLGenericDataObjectReaderNewCommand();
int vtkXMLHierarchicalBoxDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLHierarchicalBoxDataReaderNewCommand();
int vtkXMLHierarchicalDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLHierarchicalDataReaderNewCommand();
int vtkXMLImageDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLImageDataReaderNewCommand();
int vtkXMLImageDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLImageDataWriterNewCommand();
int vtkXMLHyperOctreeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLHyperOctreeReaderNewCommand();
int vtkXMLHyperOctreeWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLHyperOctreeWriterNewCommand();
int vtkXMLMaterialCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMaterialNewCommand();
int vtkXMLMaterialParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMaterialParserNewCommand();
int vtkXMLMaterialReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMaterialReaderNewCommand();
int vtkXMLMultiBlockDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMultiBlockDataReaderNewCommand();
int vtkXMLMultiGroupDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMultiGroupDataReaderNewCommand();
int vtkXMLMultiBlockDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLMultiBlockDataWriterNewCommand();
int vtkXMLHierarchicalBoxDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLHierarchicalBoxDataWriterNewCommand();
int vtkXMLPDataSetWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPDataSetWriterNewCommand();
int vtkXMLPImageDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPImageDataReaderNewCommand();
int vtkXMLPImageDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPImageDataWriterNewCommand();
int vtkXMLPPolyDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPPolyDataReaderNewCommand();
int vtkXMLPPolyDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPPolyDataWriterNewCommand();
int vtkXMLPRectilinearGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPRectilinearGridReaderNewCommand();
int vtkXMLPRectilinearGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPRectilinearGridWriterNewCommand();
int vtkXMLPStructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPStructuredGridReaderNewCommand();
int vtkXMLPStructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPStructuredGridWriterNewCommand();
int vtkXMLPUnstructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPUnstructuredGridReaderNewCommand();
int vtkXMLPUnstructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPUnstructuredGridWriterNewCommand();
int vtkXMLParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLParserNewCommand();
int vtkXMLPolyDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPolyDataReaderNewCommand();
int vtkXMLPolyDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLPolyDataWriterNewCommand();
int vtkXMLRectilinearGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLRectilinearGridReaderNewCommand();
int vtkXMLRectilinearGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLRectilinearGridWriterNewCommand();
int vtkXMLShaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLShaderNewCommand();
int vtkXMLStructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLStructuredGridReaderNewCommand();
int vtkXMLStructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLStructuredGridWriterNewCommand();
int vtkXMLUnstructuredGridReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLUnstructuredGridReaderNewCommand();
int vtkXMLUnstructuredGridWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLUnstructuredGridWriterNewCommand();
int vtkXMLUtilitiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLUtilitiesNewCommand();
int vtkXYZMolReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXYZMolReaderNewCommand();
int vtkZLibDataCompressorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkZLibDataCompressorNewCommand();
int vtkPostgreSQLDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPostgreSQLDatabaseNewCommand();
int vtkPostgreSQLQueryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPostgreSQLQueryNewCommand();
int vtkPostgreSQLToTableReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPostgreSQLToTableReaderNewCommand();
int vtkTableToPostgreSQLWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToPostgreSQLWriterNewCommand();
int vtkMySQLDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMySQLDatabaseNewCommand();
int vtkMySQLQueryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMySQLQueryNewCommand();
int vtkMySQLToTableReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMySQLToTableReaderNewCommand();
int vtkTableToMySQLWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToMySQLWriterNewCommand();
int vtkRowQueryToTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRowQueryToTableNewCommand();
int vtkArrayReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayReaderNewCommand();
int vtkArrayWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayWriterNewCommand();
int vtkArrayDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayDataReaderNewCommand();
int vtkArrayDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayDataWriterNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkiotcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkiotcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkiotcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkiotcl_Init(interp);
}


int VTK_EXPORT Vtkiotcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkASCIITextCodec"), vtkASCIITextCodecNewCommand,
                  vtkASCIITextCodecCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAVSucdReader"), vtkAVSucdReaderNewCommand,
                  vtkAVSucdReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBMPReader"), vtkBMPReaderNewCommand,
                  vtkBMPReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBMPWriter"), vtkBMPWriterNewCommand,
                  vtkBMPWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBYUReader"), vtkBYUReaderNewCommand,
                  vtkBYUReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBYUWriter"), vtkBYUWriterNewCommand,
                  vtkBYUWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBase64InputStream"), vtkBase64InputStreamNewCommand,
                  vtkBase64InputStreamCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBase64OutputStream"), vtkBase64OutputStreamNewCommand,
                  vtkBase64OutputStreamCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBase64Utilities"), vtkBase64UtilitiesNewCommand,
                  vtkBase64UtilitiesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCGMWriter"), vtkCGMWriterNewCommand,
                  vtkCGMWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChacoReader"), vtkChacoReaderNewCommand,
                  vtkChacoReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeDataReader"), vtkCompositeDataReaderNewCommand,
                  vtkCompositeDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeDataWriter"), vtkCompositeDataWriterNewCommand,
                  vtkCompositeDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDEMReader"), vtkDEMReaderNewCommand,
                  vtkDEMReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDICOMImageReader"), vtkDICOMImageReaderNewCommand,
                  vtkDICOMImageReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectReader"), vtkDataObjectReaderNewCommand,
                  vtkDataObjectReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectWriter"), vtkDataObjectWriterNewCommand,
                  vtkDataObjectWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataReader"), vtkDataReaderNewCommand,
                  vtkDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetReader"), vtkDataSetReaderNewCommand,
                  vtkDataSetReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetWriter"), vtkDataSetWriterNewCommand,
                  vtkDataSetWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataWriter"), vtkDataWriterNewCommand,
                  vtkDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDelimitedTextWriter"), vtkDelimitedTextWriterNewCommand,
                  vtkDelimitedTextWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEnSight6BinaryReader"), vtkEnSight6BinaryReaderNewCommand,
                  vtkEnSight6BinaryReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEnSight6Reader"), vtkEnSight6ReaderNewCommand,
                  vtkEnSight6ReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEnSightGoldBinaryReader"), vtkEnSightGoldBinaryReaderNewCommand,
                  vtkEnSightGoldBinaryReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEnSightGoldReader"), vtkEnSightGoldReaderNewCommand,
                  vtkEnSightGoldReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEnSightMasterServerReader"), vtkEnSightMasterServerReaderNewCommand,
                  vtkEnSightMasterServerReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFLUENTReader"), vtkFLUENTReaderNewCommand,
                  vtkFLUENTReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFacetWriter"), vtkFacetWriterNewCommand,
                  vtkFacetWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGESignaReader"), vtkGESignaReaderNewCommand,
                  vtkGESignaReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGAMBITReader"), vtkGAMBITReaderNewCommand,
                  vtkGAMBITReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGaussianCubeReader"), vtkGaussianCubeReaderNewCommand,
                  vtkGaussianCubeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericDataObjectReader"), vtkGenericDataObjectReaderNewCommand,
                  vtkGenericDataObjectReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericDataObjectWriter"), vtkGenericDataObjectWriterNewCommand,
                  vtkGenericDataObjectWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericEnSightReader"), vtkGenericEnSightReaderNewCommand,
                  vtkGenericEnSightReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGlobFileNames"), vtkGlobFileNamesNewCommand,
                  vtkGlobFileNamesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphReader"), vtkGraphReaderNewCommand,
                  vtkGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphWriter"), vtkGraphWriterNewCommand,
                  vtkGraphWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIVWriter"), vtkIVWriterNewCommand,
                  vtkIVWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageReader"), vtkImageReaderNewCommand,
                  vtkImageReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageReader2"), vtkImageReader2NewCommand,
                  vtkImageReader2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageReader2Collection"), vtkImageReader2CollectionNewCommand,
                  vtkImageReader2CollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageReader2Factory"), vtkImageReader2FactoryNewCommand,
                  vtkImageReader2FactoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageWriter"), vtkImageWriterNewCommand,
                  vtkImageWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInputStream"), vtkInputStreamNewCommand,
                  vtkInputStreamCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkJavaScriptDataWriter"), vtkJavaScriptDataWriterNewCommand,
                  vtkJavaScriptDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkJPEGReader"), vtkJPEGReaderNewCommand,
                  vtkJPEGReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkJPEGWriter"), vtkJPEGWriterNewCommand,
                  vtkJPEGWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLSDynaReader"), vtkLSDynaReaderNewCommand,
                  vtkLSDynaReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLSDynaSummaryParser"), vtkLSDynaSummaryParserNewCommand,
                  vtkLSDynaSummaryParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMFIXReader"), vtkMFIXReaderNewCommand,
                  vtkMFIXReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMaterialLibrary"), vtkMaterialLibraryNewCommand,
                  vtkMaterialLibraryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMCubesReader"), vtkMCubesReaderNewCommand,
                  vtkMCubesReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMCubesWriter"), vtkMCubesWriterNewCommand,
                  vtkMCubesWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMedicalImageProperties"), vtkMedicalImagePropertiesNewCommand,
                  vtkMedicalImagePropertiesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMedicalImageReader2"), vtkMedicalImageReader2NewCommand,
                  vtkMedicalImageReader2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMetaImageReader"), vtkMetaImageReaderNewCommand,
                  vtkMetaImageReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMetaImageWriter"), vtkMetaImageWriterNewCommand,
                  vtkMetaImageWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMINCImageAttributes"), vtkMINCImageAttributesNewCommand,
                  vtkMINCImageAttributesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMINCImageReader"), vtkMINCImageReaderNewCommand,
                  vtkMINCImageReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMINCImageWriter"), vtkMINCImageWriterNewCommand,
                  vtkMINCImageWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMPASReader"), vtkMPASReaderNewCommand,
                  vtkMPASReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiBlockPLOT3DReader"), vtkMultiBlockPLOT3DReaderNewCommand,
                  vtkMultiBlockPLOT3DReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetCDFCAMReader"), vtkNetCDFCAMReaderNewCommand,
                  vtkNetCDFCAMReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetCDFCFReader"), vtkNetCDFCFReaderNewCommand,
                  vtkNetCDFCFReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetCDFPOPReader"), vtkNetCDFPOPReaderNewCommand,
                  vtkNetCDFPOPReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetCDFReader"), vtkNetCDFReaderNewCommand,
                  vtkNetCDFReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOBJReader"), vtkOBJReaderNewCommand,
                  vtkOBJReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOggTheoraWriter"), vtkOggTheoraWriterNewCommand,
                  vtkOggTheoraWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenFOAMReader"), vtkOpenFOAMReaderNewCommand,
                  vtkOpenFOAMReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOutputStream"), vtkOutputStreamNewCommand,
                  vtkOutputStreamCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPDBReader"), vtkPDBReaderNewCommand,
                  vtkPDBReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPLOT3DReader"), vtkPLOT3DReaderNewCommand,
                  vtkPLOT3DReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPLYReader"), vtkPLYReaderNewCommand,
                  vtkPLYReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPLYWriter"), vtkPLYWriterNewCommand,
                  vtkPLYWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPNGReader"), vtkPNGReaderNewCommand,
                  vtkPNGReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPNGWriter"), vtkPNGWriterNewCommand,
                  vtkPNGWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPNMReader"), vtkPNMReaderNewCommand,
                  vtkPNMReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPNMWriter"), vtkPNMWriterNewCommand,
                  vtkPNMWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParticleReader"), vtkParticleReaderNewCommand,
                  vtkParticleReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataReader"), vtkPolyDataReaderNewCommand,
                  vtkPolyDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataWriter"), vtkPolyDataWriterNewCommand,
                  vtkPolyDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPostScriptWriter"), vtkPostScriptWriterNewCommand,
                  vtkPostScriptWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProStarReader"), vtkProStarReaderNewCommand,
                  vtkProStarReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearGridReader"), vtkRectilinearGridReaderNewCommand,
                  vtkRectilinearGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearGridWriter"), vtkRectilinearGridWriterNewCommand,
                  vtkRectilinearGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRTXMLPolyDataReader"), vtkRTXMLPolyDataReaderNewCommand,
                  vtkRTXMLPolyDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSESAMEReader"), vtkSESAMEReaderNewCommand,
                  vtkSESAMEReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkShaderCodeLibrary"), vtkShaderCodeLibraryNewCommand,
                  vtkShaderCodeLibraryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSLACParticleReader"), vtkSLACParticleReaderNewCommand,
                  vtkSLACParticleReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSLACReader"), vtkSLACReaderNewCommand,
                  vtkSLACReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLDatabaseSchema"), vtkSQLDatabaseSchemaNewCommand,
                  vtkSQLDatabaseSchemaCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLiteDatabase"), vtkSQLiteDatabaseNewCommand,
                  vtkSQLiteDatabaseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLiteToTableReader"), vtkSQLiteToTableReaderNewCommand,
                  vtkSQLiteToTableReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLiteQuery"), vtkSQLiteQueryNewCommand,
                  vtkSQLiteQueryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSLCReader"), vtkSLCReaderNewCommand,
                  vtkSLCReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSTLReader"), vtkSTLReaderNewCommand,
                  vtkSTLReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSTLWriter"), vtkSTLWriterNewCommand,
                  vtkSTLWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimplePointsReader"), vtkSimplePointsReaderNewCommand,
                  vtkSimplePointsReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimplePointsWriter"), vtkSimplePointsWriterNewCommand,
                  vtkSimplePointsWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSortFileNames"), vtkSortFileNamesNewCommand,
                  vtkSortFileNamesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredGridReader"), vtkStructuredGridReaderNewCommand,
                  vtkStructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredGridWriter"), vtkStructuredGridWriterNewCommand,
                  vtkStructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredPointsReader"), vtkStructuredPointsReaderNewCommand,
                  vtkStructuredPointsReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredPointsWriter"), vtkStructuredPointsWriterNewCommand,
                  vtkStructuredPointsWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableReader"), vtkTableReaderNewCommand,
                  vtkTableReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableWriter"), vtkTableWriterNewCommand,
                  vtkTableWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToSQLiteWriter"), vtkTableToSQLiteWriterNewCommand,
                  vtkTableToSQLiteWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTecplotReader"), vtkTecplotReaderNewCommand,
                  vtkTecplotReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTIFFReader"), vtkTIFFReaderNewCommand,
                  vtkTIFFReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTIFFWriter"), vtkTIFFWriterNewCommand,
                  vtkTIFFWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeReader"), vtkTreeReaderNewCommand,
                  vtkTreeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeWriter"), vtkTreeWriterNewCommand,
                  vtkTreeWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUGFacetReader"), vtkUGFacetReaderNewCommand,
                  vtkUGFacetReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnstructuredGridReader"), vtkUnstructuredGridReaderNewCommand,
                  vtkUnstructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnstructuredGridWriter"), vtkUnstructuredGridWriterNewCommand,
                  vtkUnstructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUTF8TextCodec"), vtkUTF8TextCodecNewCommand,
                  vtkUTF8TextCodecCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUTF16TextCodec"), vtkUTF16TextCodecNewCommand,
                  vtkUTF16TextCodecCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVolume16Reader"), vtkVolume16ReaderNewCommand,
                  vtkVolume16ReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLDataParser"), vtkXMLDataParserNewCommand,
                  vtkXMLDataParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLDataSetWriter"), vtkXMLDataSetWriterNewCommand,
                  vtkXMLDataSetWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLFileReadTester"), vtkXMLFileReadTesterNewCommand,
                  vtkXMLFileReadTesterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLGenericDataObjectReader"), vtkXMLGenericDataObjectReaderNewCommand,
                  vtkXMLGenericDataObjectReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLHierarchicalBoxDataReader"), vtkXMLHierarchicalBoxDataReaderNewCommand,
                  vtkXMLHierarchicalBoxDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLHierarchicalDataReader"), vtkXMLHierarchicalDataReaderNewCommand,
                  vtkXMLHierarchicalDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLImageDataReader"), vtkXMLImageDataReaderNewCommand,
                  vtkXMLImageDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLImageDataWriter"), vtkXMLImageDataWriterNewCommand,
                  vtkXMLImageDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLHyperOctreeReader"), vtkXMLHyperOctreeReaderNewCommand,
                  vtkXMLHyperOctreeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLHyperOctreeWriter"), vtkXMLHyperOctreeWriterNewCommand,
                  vtkXMLHyperOctreeWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMaterial"), vtkXMLMaterialNewCommand,
                  vtkXMLMaterialCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMaterialParser"), vtkXMLMaterialParserNewCommand,
                  vtkXMLMaterialParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMaterialReader"), vtkXMLMaterialReaderNewCommand,
                  vtkXMLMaterialReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMultiBlockDataReader"), vtkXMLMultiBlockDataReaderNewCommand,
                  vtkXMLMultiBlockDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMultiGroupDataReader"), vtkXMLMultiGroupDataReaderNewCommand,
                  vtkXMLMultiGroupDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLMultiBlockDataWriter"), vtkXMLMultiBlockDataWriterNewCommand,
                  vtkXMLMultiBlockDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLHierarchicalBoxDataWriter"), vtkXMLHierarchicalBoxDataWriterNewCommand,
                  vtkXMLHierarchicalBoxDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPDataSetWriter"), vtkXMLPDataSetWriterNewCommand,
                  vtkXMLPDataSetWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPImageDataReader"), vtkXMLPImageDataReaderNewCommand,
                  vtkXMLPImageDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPImageDataWriter"), vtkXMLPImageDataWriterNewCommand,
                  vtkXMLPImageDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPPolyDataReader"), vtkXMLPPolyDataReaderNewCommand,
                  vtkXMLPPolyDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPPolyDataWriter"), vtkXMLPPolyDataWriterNewCommand,
                  vtkXMLPPolyDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPRectilinearGridReader"), vtkXMLPRectilinearGridReaderNewCommand,
                  vtkXMLPRectilinearGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPRectilinearGridWriter"), vtkXMLPRectilinearGridWriterNewCommand,
                  vtkXMLPRectilinearGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPStructuredGridReader"), vtkXMLPStructuredGridReaderNewCommand,
                  vtkXMLPStructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPStructuredGridWriter"), vtkXMLPStructuredGridWriterNewCommand,
                  vtkXMLPStructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPUnstructuredGridReader"), vtkXMLPUnstructuredGridReaderNewCommand,
                  vtkXMLPUnstructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPUnstructuredGridWriter"), vtkXMLPUnstructuredGridWriterNewCommand,
                  vtkXMLPUnstructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLParser"), vtkXMLParserNewCommand,
                  vtkXMLParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPolyDataReader"), vtkXMLPolyDataReaderNewCommand,
                  vtkXMLPolyDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPolyDataWriter"), vtkXMLPolyDataWriterNewCommand,
                  vtkXMLPolyDataWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLRectilinearGridReader"), vtkXMLRectilinearGridReaderNewCommand,
                  vtkXMLRectilinearGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLRectilinearGridWriter"), vtkXMLRectilinearGridWriterNewCommand,
                  vtkXMLRectilinearGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLShader"), vtkXMLShaderNewCommand,
                  vtkXMLShaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLStructuredGridReader"), vtkXMLStructuredGridReaderNewCommand,
                  vtkXMLStructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLStructuredGridWriter"), vtkXMLStructuredGridWriterNewCommand,
                  vtkXMLStructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLUnstructuredGridReader"), vtkXMLUnstructuredGridReaderNewCommand,
                  vtkXMLUnstructuredGridReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLUnstructuredGridWriter"), vtkXMLUnstructuredGridWriterNewCommand,
                  vtkXMLUnstructuredGridWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLUtilities"), vtkXMLUtilitiesNewCommand,
                  vtkXMLUtilitiesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXYZMolReader"), vtkXYZMolReaderNewCommand,
                  vtkXYZMolReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkZLibDataCompressor"), vtkZLibDataCompressorNewCommand,
                  vtkZLibDataCompressorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPostgreSQLDatabase"), vtkPostgreSQLDatabaseNewCommand,
                  vtkPostgreSQLDatabaseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPostgreSQLQuery"), vtkPostgreSQLQueryNewCommand,
                  vtkPostgreSQLQueryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPostgreSQLToTableReader"), vtkPostgreSQLToTableReaderNewCommand,
                  vtkPostgreSQLToTableReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToPostgreSQLWriter"), vtkTableToPostgreSQLWriterNewCommand,
                  vtkTableToPostgreSQLWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMySQLDatabase"), vtkMySQLDatabaseNewCommand,
                  vtkMySQLDatabaseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMySQLQuery"), vtkMySQLQueryNewCommand,
                  vtkMySQLQueryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMySQLToTableReader"), vtkMySQLToTableReaderNewCommand,
                  vtkMySQLToTableReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToMySQLWriter"), vtkTableToMySQLWriterNewCommand,
                  vtkTableToMySQLWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRowQueryToTable"), vtkRowQueryToTableNewCommand,
                  vtkRowQueryToTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayReader"), vtkArrayReaderNewCommand,
                  vtkArrayReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayWriter"), vtkArrayWriterNewCommand,
                  vtkArrayWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayDataReader"), vtkArrayDataReaderNewCommand,
                  vtkArrayDataReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayDataWriter"), vtkArrayDataWriterNewCommand,
                  vtkArrayDataWriterCommand);
  char pkgName[]="vtkIOTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
