#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAddMembershipArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAddMembershipArrayNewCommand();
int vtkAppendPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAppendPointsNewCommand();
int vtkApplyColorsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkApplyColorsNewCommand();
int vtkApplyIconsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkApplyIconsNewCommand();
int vtkArcParallelEdgeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArcParallelEdgeStrategyNewCommand();
int vtkAreaLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAreaLayoutNewCommand();
int vtkAssignCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssignCoordinatesNewCommand();
int vtkAssignCoordinatesLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssignCoordinatesLayoutStrategyNewCommand();
int vtkBivariateLinearTableThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBivariateLinearTableThresholdNewCommand();
int vtkBoxLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxLayoutStrategyNewCommand();
int vtkChacoGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChacoGraphReaderNewCommand();
int vtkCirclePackFrontChainLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCirclePackFrontChainLayoutStrategyNewCommand();
int vtkCirclePackLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCirclePackLayoutNewCommand();
int vtkCirclePackToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCirclePackToPolyDataNewCommand();
int vtkCircularLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCircularLayoutStrategyNewCommand();
int vtkClustering2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClustering2DLayoutStrategyNewCommand();
int vtkCollapseGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollapseGraphNewCommand();
int vtkCollapseVerticesByArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollapseVerticesByArrayNewCommand();
int vtkCommunity2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCommunity2DLayoutStrategyNewCommand();
int vtkConeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConeLayoutStrategyNewCommand();
int vtkConstrained2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConstrained2DLayoutStrategyNewCommand();
int vtkContingencyStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContingencyStatisticsNewCommand();
int vtkCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCorrelativeStatisticsNewCommand();
int vtkCosmicTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCosmicTreeLayoutStrategyNewCommand();
int vtkDataObjectToTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectToTableNewCommand();
int vtkDelimitedTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDelimitedTextReaderNewCommand();
int vtkDescriptiveStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDescriptiveStatisticsNewCommand();
int vtkDIMACSGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDIMACSGraphReaderNewCommand();
int vtkDIMACSGraphWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDIMACSGraphWriterNewCommand();
int vtkEdgeCentersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeCentersNewCommand();
int vtkEdgeLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeLayoutNewCommand();
int vtkExpandSelectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExpandSelectedGraphNewCommand();
int vtkExtractSelectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtractSelectedGraphNewCommand();
int vtkFast2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFast2DLayoutStrategyNewCommand();
int vtkFixedWidthTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFixedWidthTextReaderNewCommand();
int vtkForceDirectedLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkForceDirectedLayoutStrategyNewCommand();
int vtkGenerateIndexArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenerateIndexArrayNewCommand();
int vtkGeoEdgeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoEdgeStrategyNewCommand();
int vtkGeoMathCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoMathNewCommand();
int vtkGraphHierarchicalBundleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphHierarchicalBundleNewCommand();
int vtkGraphHierarchicalBundleEdgesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphHierarchicalBundleEdgesNewCommand();
int vtkGraphLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphLayoutNewCommand();
int vtkGroupLeafVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGroupLeafVerticesNewCommand();
int vtkISIReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkISIReaderNewCommand();
int vtkKCoreLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKCoreLayoutNewCommand();
int vtkKCoreDecompositionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKCoreDecompositionNewCommand();
int vtkKMeansDistanceFunctorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKMeansDistanceFunctorNewCommand();
int vtkKMeansDistanceFunctorCalculatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKMeansDistanceFunctorCalculatorNewCommand();
int vtkKMeansStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkKMeansStatisticsNewCommand();
int vtkMergeColumnsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergeColumnsNewCommand();
int vtkMergeGraphsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergeGraphsNewCommand();
int vtkMergeTablesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergeTablesNewCommand();
int vtkMultiCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiCorrelativeStatisticsNewCommand();
int vtkMutableGraphHelperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMutableGraphHelperNewCommand();
int vtkNetworkHierarchyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetworkHierarchyNewCommand();
int vtkOrderStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrderStatisticsNewCommand();
int vtkPassArraysCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassArraysNewCommand();
int vtkPassThroughCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughNewCommand();
int vtkPassThroughEdgeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughEdgeStrategyNewCommand();
int vtkPassThroughLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughLayoutStrategyNewCommand();
int vtkPerturbCoincidentVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPerturbCoincidentVerticesNewCommand();
int vtkPCAStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPCAStatisticsNewCommand();
int vtkPruneTreeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPruneTreeFilterNewCommand();
int vtkRISReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRISReaderNewCommand();
int vtkRandomGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRandomGraphSourceNewCommand();
int vtkRandomLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRandomLayoutStrategyNewCommand();
int vtkRemoveIsolatedVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRemoveIsolatedVerticesNewCommand();
int vtkRemoveHiddenDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRemoveHiddenDataNewCommand();
int vtkSCurveSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSCurveSplineNewCommand();
int vtkSimple2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimple2DLayoutStrategyNewCommand();
int vtkSimple3DCirclesStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimple3DCirclesStrategyNewCommand();
int vtkSliceAndDiceLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSliceAndDiceLayoutStrategyNewCommand();
int vtkSplineGraphEdgesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplineGraphEdgesNewCommand();
int vtkSplitColumnComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplitColumnComponentsNewCommand();
int vtkSquarifyLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSquarifyLayoutStrategyNewCommand();
int vtkSpanTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSpanTreeLayoutStrategyNewCommand();
int vtkStackedTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStackedTreeLayoutStrategyNewCommand();
int vtkStrahlerMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStrahlerMetricNewCommand();
int vtkStreamGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStreamGraphNewCommand();
int vtkStreamingStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStreamingStatisticsNewCommand();
int vtkStringToCategoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToCategoryNewCommand();
int vtkStringToNumericCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToNumericNewCommand();
int vtkTableToGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToGraphNewCommand();
int vtkTableToTreeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToTreeFilterNewCommand();
int vtkThresholdGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkThresholdGraphNewCommand();
int vtkThresholdTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkThresholdTableNewCommand();
int vtkTransferAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransferAttributesNewCommand();
int vtkTreeFieldAggregatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeFieldAggregatorNewCommand();
int vtkTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeLayoutStrategyNewCommand();
int vtkTreeOrbitLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeOrbitLayoutStrategyNewCommand();
int vtkTreeLevelsFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeLevelsFilterNewCommand();
int vtkTreeMapLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapLayoutNewCommand();
int vtkTreeMapToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapToPolyDataNewCommand();
int vtkTreeRingToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeRingToPolyDataNewCommand();
int vtkTulipReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTulipReaderNewCommand();
int vtkAttributeClustering2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAttributeClustering2DLayoutStrategyNewCommand();
int vtkVertexDegreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVertexDegreeNewCommand();
int vtkXGMLReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXGMLReaderNewCommand();
int vtkXMLTreeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLTreeReaderNewCommand();
int vtkConvexHull2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConvexHull2DNewCommand();
int vtkGraphAnnotationLayersFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphAnnotationLayersFilterNewCommand();
int vtkBoostBetweennessClusteringCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostBetweennessClusteringNewCommand();
int vtkBoostBiconnectedComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostBiconnectedComponentsNewCommand();
int vtkBoostBrandesCentralityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostBrandesCentralityNewCommand();
int vtkBoostBreadthFirstSearchCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostBreadthFirstSearchNewCommand();
int vtkBoostBreadthFirstSearchTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostBreadthFirstSearchTreeNewCommand();
int vtkBoostConnectedComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostConnectedComponentsNewCommand();
int vtkBoostExtractLargestComponentCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostExtractLargestComponentNewCommand();
int vtkBoostPrimMinimumSpanningTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostPrimMinimumSpanningTreeNewCommand();
int vtkBoostSplitTableFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostSplitTableFieldNewCommand();
int vtkBoostKruskalMinimumSpanningTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostKruskalMinimumSpanningTreeNewCommand();
int vtkAdjacencyMatrixToEdgeTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAdjacencyMatrixToEdgeTableNewCommand();
int vtkArrayNormCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayNormNewCommand();
int vtkArrayToTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayToTableNewCommand();
int vtkComputeHistogram2DOutliersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkComputeHistogram2DOutliersNewCommand();
int vtkDiagonalMatrixSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDiagonalMatrixSourceNewCommand();
int vtkDotProductSimilarityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDotProductSimilarityNewCommand();
int vtkExtractArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtractArrayNewCommand();
int vtkExtractHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtractHistogram2DNewCommand();
int vtkMatricizeArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMatricizeArrayNewCommand();
int vtkNormalizeMatrixVectorsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNormalizeMatrixVectorsNewCommand();
int vtkPairwiseExtractHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPairwiseExtractHistogram2DNewCommand();
int vtkSparseArrayToTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSparseArrayToTableNewCommand();
int vtkTableToArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToArrayNewCommand();
int vtkTableToSparseArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToSparseArrayNewCommand();
int vtkTransposeMatrixCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransposeMatrixNewCommand();
int vtkBoostLogWeightingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostLogWeightingNewCommand();
int vtkBoostRandomSparseArraySourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoostRandomSparseArraySourceNewCommand();
int vtkPBivariateLinearTableThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPBivariateLinearTableThresholdNewCommand();
int vtkPCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPCorrelativeStatisticsNewCommand();
int vtkPContingencyStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPContingencyStatisticsNewCommand();
int vtkPDescriptiveStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPDescriptiveStatisticsNewCommand();
int vtkPKMeansStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPKMeansStatisticsNewCommand();
int vtkPMultiCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPMultiCorrelativeStatisticsNewCommand();
int vtkPOrderStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPOrderStatisticsNewCommand();
int vtkPPCAStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPPCAStatisticsNewCommand();
int vtkPComputeHistogram2DOutliersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPComputeHistogram2DOutliersNewCommand();
int vtkPExtractHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPExtractHistogram2DNewCommand();
int vtkPPairwiseExtractHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPPairwiseExtractHistogram2DNewCommand();
int vtkSQLDatabaseGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLDatabaseGraphSourceNewCommand();
int vtkSQLDatabaseTableSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLDatabaseTableSourceNewCommand();
int vtkSQLGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLGraphReaderNewCommand();
int vtkStringToTimePointCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToTimePointNewCommand();
int vtkTimePointToStringCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTimePointToStringNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkinfovistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkinfovistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkinfovistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkinfovistcl_Init(interp);
}


int VTK_EXPORT Vtkinfovistcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkAddMembershipArray"), vtkAddMembershipArrayNewCommand,
                  vtkAddMembershipArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAppendPoints"), vtkAppendPointsNewCommand,
                  vtkAppendPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkApplyColors"), vtkApplyColorsNewCommand,
                  vtkApplyColorsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkApplyIcons"), vtkApplyIconsNewCommand,
                  vtkApplyIconsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArcParallelEdgeStrategy"), vtkArcParallelEdgeStrategyNewCommand,
                  vtkArcParallelEdgeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAreaLayout"), vtkAreaLayoutNewCommand,
                  vtkAreaLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssignCoordinates"), vtkAssignCoordinatesNewCommand,
                  vtkAssignCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssignCoordinatesLayoutStrategy"), vtkAssignCoordinatesLayoutStrategyNewCommand,
                  vtkAssignCoordinatesLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBivariateLinearTableThreshold"), vtkBivariateLinearTableThresholdNewCommand,
                  vtkBivariateLinearTableThresholdCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxLayoutStrategy"), vtkBoxLayoutStrategyNewCommand,
                  vtkBoxLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChacoGraphReader"), vtkChacoGraphReaderNewCommand,
                  vtkChacoGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCirclePackFrontChainLayoutStrategy"), vtkCirclePackFrontChainLayoutStrategyNewCommand,
                  vtkCirclePackFrontChainLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCirclePackLayout"), vtkCirclePackLayoutNewCommand,
                  vtkCirclePackLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCirclePackToPolyData"), vtkCirclePackToPolyDataNewCommand,
                  vtkCirclePackToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCircularLayoutStrategy"), vtkCircularLayoutStrategyNewCommand,
                  vtkCircularLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClustering2DLayoutStrategy"), vtkClustering2DLayoutStrategyNewCommand,
                  vtkClustering2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCollapseGraph"), vtkCollapseGraphNewCommand,
                  vtkCollapseGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCollapseVerticesByArray"), vtkCollapseVerticesByArrayNewCommand,
                  vtkCollapseVerticesByArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCommunity2DLayoutStrategy"), vtkCommunity2DLayoutStrategyNewCommand,
                  vtkCommunity2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConeLayoutStrategy"), vtkConeLayoutStrategyNewCommand,
                  vtkConeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConstrained2DLayoutStrategy"), vtkConstrained2DLayoutStrategyNewCommand,
                  vtkConstrained2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContingencyStatistics"), vtkContingencyStatisticsNewCommand,
                  vtkContingencyStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCorrelativeStatistics"), vtkCorrelativeStatisticsNewCommand,
                  vtkCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCosmicTreeLayoutStrategy"), vtkCosmicTreeLayoutStrategyNewCommand,
                  vtkCosmicTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectToTable"), vtkDataObjectToTableNewCommand,
                  vtkDataObjectToTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDelimitedTextReader"), vtkDelimitedTextReaderNewCommand,
                  vtkDelimitedTextReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDescriptiveStatistics"), vtkDescriptiveStatisticsNewCommand,
                  vtkDescriptiveStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDIMACSGraphReader"), vtkDIMACSGraphReaderNewCommand,
                  vtkDIMACSGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDIMACSGraphWriter"), vtkDIMACSGraphWriterNewCommand,
                  vtkDIMACSGraphWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeCenters"), vtkEdgeCentersNewCommand,
                  vtkEdgeCentersCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeLayout"), vtkEdgeLayoutNewCommand,
                  vtkEdgeLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExpandSelectedGraph"), vtkExpandSelectedGraphNewCommand,
                  vtkExpandSelectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractSelectedGraph"), vtkExtractSelectedGraphNewCommand,
                  vtkExtractSelectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFast2DLayoutStrategy"), vtkFast2DLayoutStrategyNewCommand,
                  vtkFast2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFixedWidthTextReader"), vtkFixedWidthTextReaderNewCommand,
                  vtkFixedWidthTextReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkForceDirectedLayoutStrategy"), vtkForceDirectedLayoutStrategyNewCommand,
                  vtkForceDirectedLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenerateIndexArray"), vtkGenerateIndexArrayNewCommand,
                  vtkGenerateIndexArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoEdgeStrategy"), vtkGeoEdgeStrategyNewCommand,
                  vtkGeoEdgeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoMath"), vtkGeoMathNewCommand,
                  vtkGeoMathCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphHierarchicalBundle"), vtkGraphHierarchicalBundleNewCommand,
                  vtkGraphHierarchicalBundleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphHierarchicalBundleEdges"), vtkGraphHierarchicalBundleEdgesNewCommand,
                  vtkGraphHierarchicalBundleEdgesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphLayout"), vtkGraphLayoutNewCommand,
                  vtkGraphLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGroupLeafVertices"), vtkGroupLeafVerticesNewCommand,
                  vtkGroupLeafVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkISIReader"), vtkISIReaderNewCommand,
                  vtkISIReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKCoreLayout"), vtkKCoreLayoutNewCommand,
                  vtkKCoreLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKCoreDecomposition"), vtkKCoreDecompositionNewCommand,
                  vtkKCoreDecompositionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKMeansDistanceFunctor"), vtkKMeansDistanceFunctorNewCommand,
                  vtkKMeansDistanceFunctorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKMeansDistanceFunctorCalculator"), vtkKMeansDistanceFunctorCalculatorNewCommand,
                  vtkKMeansDistanceFunctorCalculatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkKMeansStatistics"), vtkKMeansStatisticsNewCommand,
                  vtkKMeansStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergeColumns"), vtkMergeColumnsNewCommand,
                  vtkMergeColumnsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergeGraphs"), vtkMergeGraphsNewCommand,
                  vtkMergeGraphsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergeTables"), vtkMergeTablesNewCommand,
                  vtkMergeTablesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiCorrelativeStatistics"), vtkMultiCorrelativeStatisticsNewCommand,
                  vtkMultiCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMutableGraphHelper"), vtkMutableGraphHelperNewCommand,
                  vtkMutableGraphHelperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetworkHierarchy"), vtkNetworkHierarchyNewCommand,
                  vtkNetworkHierarchyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrderStatistics"), vtkOrderStatisticsNewCommand,
                  vtkOrderStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassArrays"), vtkPassArraysNewCommand,
                  vtkPassArraysCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThrough"), vtkPassThroughNewCommand,
                  vtkPassThroughCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThroughEdgeStrategy"), vtkPassThroughEdgeStrategyNewCommand,
                  vtkPassThroughEdgeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThroughLayoutStrategy"), vtkPassThroughLayoutStrategyNewCommand,
                  vtkPassThroughLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPerturbCoincidentVertices"), vtkPerturbCoincidentVerticesNewCommand,
                  vtkPerturbCoincidentVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPCAStatistics"), vtkPCAStatisticsNewCommand,
                  vtkPCAStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPruneTreeFilter"), vtkPruneTreeFilterNewCommand,
                  vtkPruneTreeFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRISReader"), vtkRISReaderNewCommand,
                  vtkRISReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRandomGraphSource"), vtkRandomGraphSourceNewCommand,
                  vtkRandomGraphSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRandomLayoutStrategy"), vtkRandomLayoutStrategyNewCommand,
                  vtkRandomLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRemoveIsolatedVertices"), vtkRemoveIsolatedVerticesNewCommand,
                  vtkRemoveIsolatedVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRemoveHiddenData"), vtkRemoveHiddenDataNewCommand,
                  vtkRemoveHiddenDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSCurveSpline"), vtkSCurveSplineNewCommand,
                  vtkSCurveSplineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimple2DLayoutStrategy"), vtkSimple2DLayoutStrategyNewCommand,
                  vtkSimple2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimple3DCirclesStrategy"), vtkSimple3DCirclesStrategyNewCommand,
                  vtkSimple3DCirclesStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSliceAndDiceLayoutStrategy"), vtkSliceAndDiceLayoutStrategyNewCommand,
                  vtkSliceAndDiceLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplineGraphEdges"), vtkSplineGraphEdgesNewCommand,
                  vtkSplineGraphEdgesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplitColumnComponents"), vtkSplitColumnComponentsNewCommand,
                  vtkSplitColumnComponentsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSquarifyLayoutStrategy"), vtkSquarifyLayoutStrategyNewCommand,
                  vtkSquarifyLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSpanTreeLayoutStrategy"), vtkSpanTreeLayoutStrategyNewCommand,
                  vtkSpanTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStackedTreeLayoutStrategy"), vtkStackedTreeLayoutStrategyNewCommand,
                  vtkStackedTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStrahlerMetric"), vtkStrahlerMetricNewCommand,
                  vtkStrahlerMetricCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStreamGraph"), vtkStreamGraphNewCommand,
                  vtkStreamGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStreamingStatistics"), vtkStreamingStatisticsNewCommand,
                  vtkStreamingStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToCategory"), vtkStringToCategoryNewCommand,
                  vtkStringToCategoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToNumeric"), vtkStringToNumericNewCommand,
                  vtkStringToNumericCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToGraph"), vtkTableToGraphNewCommand,
                  vtkTableToGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToTreeFilter"), vtkTableToTreeFilterNewCommand,
                  vtkTableToTreeFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkThresholdGraph"), vtkThresholdGraphNewCommand,
                  vtkThresholdGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkThresholdTable"), vtkThresholdTableNewCommand,
                  vtkThresholdTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransferAttributes"), vtkTransferAttributesNewCommand,
                  vtkTransferAttributesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeFieldAggregator"), vtkTreeFieldAggregatorNewCommand,
                  vtkTreeFieldAggregatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeLayoutStrategy"), vtkTreeLayoutStrategyNewCommand,
                  vtkTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeOrbitLayoutStrategy"), vtkTreeOrbitLayoutStrategyNewCommand,
                  vtkTreeOrbitLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeLevelsFilter"), vtkTreeLevelsFilterNewCommand,
                  vtkTreeLevelsFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapLayout"), vtkTreeMapLayoutNewCommand,
                  vtkTreeMapLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapToPolyData"), vtkTreeMapToPolyDataNewCommand,
                  vtkTreeMapToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeRingToPolyData"), vtkTreeRingToPolyDataNewCommand,
                  vtkTreeRingToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTulipReader"), vtkTulipReaderNewCommand,
                  vtkTulipReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAttributeClustering2DLayoutStrategy"), vtkAttributeClustering2DLayoutStrategyNewCommand,
                  vtkAttributeClustering2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVertexDegree"), vtkVertexDegreeNewCommand,
                  vtkVertexDegreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXGMLReader"), vtkXGMLReaderNewCommand,
                  vtkXGMLReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLTreeReader"), vtkXMLTreeReaderNewCommand,
                  vtkXMLTreeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConvexHull2D"), vtkConvexHull2DNewCommand,
                  vtkConvexHull2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphAnnotationLayersFilter"), vtkGraphAnnotationLayersFilterNewCommand,
                  vtkGraphAnnotationLayersFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostBetweennessClustering"), vtkBoostBetweennessClusteringNewCommand,
                  vtkBoostBetweennessClusteringCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostBiconnectedComponents"), vtkBoostBiconnectedComponentsNewCommand,
                  vtkBoostBiconnectedComponentsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostBrandesCentrality"), vtkBoostBrandesCentralityNewCommand,
                  vtkBoostBrandesCentralityCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostBreadthFirstSearch"), vtkBoostBreadthFirstSearchNewCommand,
                  vtkBoostBreadthFirstSearchCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostBreadthFirstSearchTree"), vtkBoostBreadthFirstSearchTreeNewCommand,
                  vtkBoostBreadthFirstSearchTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostConnectedComponents"), vtkBoostConnectedComponentsNewCommand,
                  vtkBoostConnectedComponentsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostExtractLargestComponent"), vtkBoostExtractLargestComponentNewCommand,
                  vtkBoostExtractLargestComponentCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostPrimMinimumSpanningTree"), vtkBoostPrimMinimumSpanningTreeNewCommand,
                  vtkBoostPrimMinimumSpanningTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostSplitTableField"), vtkBoostSplitTableFieldNewCommand,
                  vtkBoostSplitTableFieldCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostKruskalMinimumSpanningTree"), vtkBoostKruskalMinimumSpanningTreeNewCommand,
                  vtkBoostKruskalMinimumSpanningTreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAdjacencyMatrixToEdgeTable"), vtkAdjacencyMatrixToEdgeTableNewCommand,
                  vtkAdjacencyMatrixToEdgeTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayNorm"), vtkArrayNormNewCommand,
                  vtkArrayNormCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayToTable"), vtkArrayToTableNewCommand,
                  vtkArrayToTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkComputeHistogram2DOutliers"), vtkComputeHistogram2DOutliersNewCommand,
                  vtkComputeHistogram2DOutliersCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDiagonalMatrixSource"), vtkDiagonalMatrixSourceNewCommand,
                  vtkDiagonalMatrixSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDotProductSimilarity"), vtkDotProductSimilarityNewCommand,
                  vtkDotProductSimilarityCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractArray"), vtkExtractArrayNewCommand,
                  vtkExtractArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractHistogram2D"), vtkExtractHistogram2DNewCommand,
                  vtkExtractHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMatricizeArray"), vtkMatricizeArrayNewCommand,
                  vtkMatricizeArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNormalizeMatrixVectors"), vtkNormalizeMatrixVectorsNewCommand,
                  vtkNormalizeMatrixVectorsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPairwiseExtractHistogram2D"), vtkPairwiseExtractHistogram2DNewCommand,
                  vtkPairwiseExtractHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSparseArrayToTable"), vtkSparseArrayToTableNewCommand,
                  vtkSparseArrayToTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToArray"), vtkTableToArrayNewCommand,
                  vtkTableToArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToSparseArray"), vtkTableToSparseArrayNewCommand,
                  vtkTableToSparseArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransposeMatrix"), vtkTransposeMatrixNewCommand,
                  vtkTransposeMatrixCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostLogWeighting"), vtkBoostLogWeightingNewCommand,
                  vtkBoostLogWeightingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoostRandomSparseArraySource"), vtkBoostRandomSparseArraySourceNewCommand,
                  vtkBoostRandomSparseArraySourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPBivariateLinearTableThreshold"), vtkPBivariateLinearTableThresholdNewCommand,
                  vtkPBivariateLinearTableThresholdCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPCorrelativeStatistics"), vtkPCorrelativeStatisticsNewCommand,
                  vtkPCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPContingencyStatistics"), vtkPContingencyStatisticsNewCommand,
                  vtkPContingencyStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPDescriptiveStatistics"), vtkPDescriptiveStatisticsNewCommand,
                  vtkPDescriptiveStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPKMeansStatistics"), vtkPKMeansStatisticsNewCommand,
                  vtkPKMeansStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPMultiCorrelativeStatistics"), vtkPMultiCorrelativeStatisticsNewCommand,
                  vtkPMultiCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPOrderStatistics"), vtkPOrderStatisticsNewCommand,
                  vtkPOrderStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPPCAStatistics"), vtkPPCAStatisticsNewCommand,
                  vtkPPCAStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPComputeHistogram2DOutliers"), vtkPComputeHistogram2DOutliersNewCommand,
                  vtkPComputeHistogram2DOutliersCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPExtractHistogram2D"), vtkPExtractHistogram2DNewCommand,
                  vtkPExtractHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPPairwiseExtractHistogram2D"), vtkPPairwiseExtractHistogram2DNewCommand,
                  vtkPPairwiseExtractHistogram2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLDatabaseGraphSource"), vtkSQLDatabaseGraphSourceNewCommand,
                  vtkSQLDatabaseGraphSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLDatabaseTableSource"), vtkSQLDatabaseTableSourceNewCommand,
                  vtkSQLDatabaseTableSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLGraphReader"), vtkSQLGraphReaderNewCommand,
                  vtkSQLGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToTimePoint"), vtkStringToTimePointNewCommand,
                  vtkStringToTimePointCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTimePointToString"), vtkTimePointToStringNewCommand,
                  vtkTimePointToStringCommand);
  char pkgName[]="vtkInfovisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
