#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAffineRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAffineRepresentation2DNewCommand();
int vtkAffineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAffineWidgetNewCommand();
int vtkAngleRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAngleRepresentation2DNewCommand();
int vtkAngleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAngleRepresentation3DNewCommand();
int vtkAngleWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAngleWidgetNewCommand();
int vtkAxesTransformWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxesTransformWidgetNewCommand();
int vtkAxesTransformRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxesTransformRepresentationNewCommand();
int vtkBalloonRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBalloonRepresentationNewCommand();
int vtkBalloonWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBalloonWidgetNewCommand();
int vtkBezierContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBezierContourLineInterpolatorNewCommand();
int vtkBiDimensionalRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiDimensionalRepresentation2DNewCommand();
int vtkBiDimensionalWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBiDimensionalWidgetNewCommand();
int vtkBorderRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBorderRepresentationNewCommand();
int vtkBorderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBorderWidgetNewCommand();
int vtkBoundedPlanePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoundedPlanePointPlacerNewCommand();
int vtkBoxRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxRepresentationNewCommand();
int vtkBoxWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxWidgetNewCommand();
int vtkBoxWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxWidget2NewCommand();
int vtkBrokenLineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBrokenLineWidgetNewCommand();
int vtkButtonWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkButtonWidgetNewCommand();
int vtkCameraRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraRepresentationNewCommand();
int vtkCameraWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraWidgetNewCommand();
int vtkCaptionRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCaptionRepresentationNewCommand();
int vtkCaptionWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCaptionWidgetNewCommand();
int vtkCellCentersPointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellCentersPointPlacerNewCommand();
int vtkCenteredSliderRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCenteredSliderRepresentationNewCommand();
int vtkCenteredSliderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCenteredSliderWidgetNewCommand();
int vtkContourWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContourWidgetNewCommand();
int vtkCheckerboardRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCheckerboardRepresentationNewCommand();
int vtkCheckerboardWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCheckerboardWidgetNewCommand();
int vtkConstrainedPointHandleRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConstrainedPointHandleRepresentationNewCommand();
int vtkDijkstraImageContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDijkstraImageContourLineInterpolatorNewCommand();
int vtkDistanceWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDistanceWidgetNewCommand();
int vtkDistanceRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDistanceRepresentation2DNewCommand();
int vtkDistanceRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDistanceRepresentation3DNewCommand();
int vtkEllipsoidTensorProbeRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEllipsoidTensorProbeRepresentationNewCommand();
int vtkEventCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEventNewCommand();
int vtkFixedSizeHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFixedSizeHandleRepresentation3DNewCommand();
int vtkFocalPlanePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFocalPlanePointPlacerNewCommand();
int vtkHandleWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHandleWidgetNewCommand();
int vtkHoverWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHoverWidgetNewCommand();
int vtkImageActorPointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageActorPointPlacerNewCommand();
int vtkImageCroppingRegionsWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageCroppingRegionsWidgetNewCommand();
int vtkImageOrthoPlanesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageOrthoPlanesNewCommand();
int vtkImagePlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImagePlaneWidgetNewCommand();
int vtkImageTracerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageTracerWidgetNewCommand();
int vtkImplicitPlaneRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitPlaneRepresentationNewCommand();
int vtkImplicitPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitPlaneWidgetNewCommand();
int vtkImplicitPlaneWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitPlaneWidget2NewCommand();
int vtkLinearContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLinearContourLineInterpolatorNewCommand();
int vtkLineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineRepresentationNewCommand();
int vtkLineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineWidgetNewCommand();
int vtkLineWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineWidget2NewCommand();
int vtkLogoRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLogoRepresentationNewCommand();
int vtkLogoWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLogoWidgetNewCommand();
int vtkOrientationMarkerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrientationMarkerWidgetNewCommand();
int vtkOrientedGlyphContourRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrientedGlyphContourRepresentationNewCommand();
int vtkOrientedGlyphFocalPlaneContourRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrientedGlyphFocalPlaneContourRepresentationNewCommand();
int vtkParallelopipedRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelopipedRepresentationNewCommand();
int vtkParallelopipedWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelopipedWidgetNewCommand();
int vtkClosedSurfacePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClosedSurfacePointPlacerNewCommand();
int vtkPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaneWidgetNewCommand();
int vtkPlaybackRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaybackRepresentationNewCommand();
int vtkPlaybackWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaybackWidgetNewCommand();
int vtkPointHandleRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointHandleRepresentation2DNewCommand();
int vtkPointHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointHandleRepresentation3DNewCommand();
int vtkPointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointPlacerNewCommand();
int vtkPointWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointWidgetNewCommand();
int vtkPolyDataPointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataPointPlacerNewCommand();
int vtkPolygonalHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolygonalHandleRepresentation3DNewCommand();
int vtkOrientedPolygonalHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrientedPolygonalHandleRepresentation3DNewCommand();
int vtkPolygonalSurfacePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolygonalSurfacePointPlacerNewCommand();
int vtkPolygonalSurfaceContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolygonalSurfaceContourLineInterpolatorNewCommand();
int vtkProp3DButtonRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProp3DButtonRepresentationNewCommand();
int vtkRectilinearWipeRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearWipeRepresentationNewCommand();
int vtkRectilinearWipeWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRectilinearWipeWidgetNewCommand();
int vtkResliceCursorThickLineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceCursorThickLineRepresentationNewCommand();
int vtkResliceCursorLineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceCursorLineRepresentationNewCommand();
int vtkResliceCursorWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceCursorWidgetNewCommand();
int vtkResliceImageViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceImageViewerNewCommand();
int vtkResliceImageViewerMeasurementsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceImageViewerMeasurementsNewCommand();
int vtkScalarBarRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScalarBarRepresentationNewCommand();
int vtkScalarBarWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScalarBarWidgetNewCommand();
int vtkSeedRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSeedRepresentationNewCommand();
int vtkSeedWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSeedWidgetNewCommand();
int vtkSliderRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSliderRepresentation2DNewCommand();
int vtkSliderRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSliderRepresentation3DNewCommand();
int vtkSliderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSliderWidgetNewCommand();
int vtkSphereHandleRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereHandleRepresentationNewCommand();
int vtkSphereRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereRepresentationNewCommand();
int vtkSphereWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereWidgetNewCommand();
int vtkSphereWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereWidget2NewCommand();
int vtkSplineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplineRepresentationNewCommand();
int vtkSplineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplineWidgetNewCommand();
int vtkSplineWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplineWidget2NewCommand();
int vtkTensorProbeWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTensorProbeWidgetNewCommand();
int vtkTerrainDataPointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTerrainDataPointPlacerNewCommand();
int vtkTerrainContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTerrainContourLineInterpolatorNewCommand();
int vtkTextRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextRepresentationNewCommand();
int vtkTexturedButtonRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTexturedButtonRepresentationNewCommand();
int vtkTexturedButtonRepresentation2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTexturedButtonRepresentation2DNewCommand();
int vtkTextWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextWidgetNewCommand();
int vtkWidgetCallbackMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWidgetCallbackMapperNewCommand();
int vtkWidgetEventCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWidgetEventNewCommand();
int vtkWidgetEventTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWidgetEventTranslatorNewCommand();
int vtkWidgetSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWidgetSetNewCommand();
int vtkXYPlotWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXYPlotWidgetNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkwidgetstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkwidgetstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkwidgetstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkwidgetstcl_Init(interp);
}


int VTK_EXPORT Vtkwidgetstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkAffineRepresentation2D"), vtkAffineRepresentation2DNewCommand,
                  vtkAffineRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAffineWidget"), vtkAffineWidgetNewCommand,
                  vtkAffineWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAngleRepresentation2D"), vtkAngleRepresentation2DNewCommand,
                  vtkAngleRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAngleRepresentation3D"), vtkAngleRepresentation3DNewCommand,
                  vtkAngleRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAngleWidget"), vtkAngleWidgetNewCommand,
                  vtkAngleWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAxesTransformWidget"), vtkAxesTransformWidgetNewCommand,
                  vtkAxesTransformWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAxesTransformRepresentation"), vtkAxesTransformRepresentationNewCommand,
                  vtkAxesTransformRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBalloonRepresentation"), vtkBalloonRepresentationNewCommand,
                  vtkBalloonRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBalloonWidget"), vtkBalloonWidgetNewCommand,
                  vtkBalloonWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBezierContourLineInterpolator"), vtkBezierContourLineInterpolatorNewCommand,
                  vtkBezierContourLineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiDimensionalRepresentation2D"), vtkBiDimensionalRepresentation2DNewCommand,
                  vtkBiDimensionalRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBiDimensionalWidget"), vtkBiDimensionalWidgetNewCommand,
                  vtkBiDimensionalWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBorderRepresentation"), vtkBorderRepresentationNewCommand,
                  vtkBorderRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBorderWidget"), vtkBorderWidgetNewCommand,
                  vtkBorderWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoundedPlanePointPlacer"), vtkBoundedPlanePointPlacerNewCommand,
                  vtkBoundedPlanePointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxRepresentation"), vtkBoxRepresentationNewCommand,
                  vtkBoxRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxWidget"), vtkBoxWidgetNewCommand,
                  vtkBoxWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxWidget2"), vtkBoxWidget2NewCommand,
                  vtkBoxWidget2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBrokenLineWidget"), vtkBrokenLineWidgetNewCommand,
                  vtkBrokenLineWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkButtonWidget"), vtkButtonWidgetNewCommand,
                  vtkButtonWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCameraRepresentation"), vtkCameraRepresentationNewCommand,
                  vtkCameraRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCameraWidget"), vtkCameraWidgetNewCommand,
                  vtkCameraWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCaptionRepresentation"), vtkCaptionRepresentationNewCommand,
                  vtkCaptionRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCaptionWidget"), vtkCaptionWidgetNewCommand,
                  vtkCaptionWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellCentersPointPlacer"), vtkCellCentersPointPlacerNewCommand,
                  vtkCellCentersPointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCenteredSliderRepresentation"), vtkCenteredSliderRepresentationNewCommand,
                  vtkCenteredSliderRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCenteredSliderWidget"), vtkCenteredSliderWidgetNewCommand,
                  vtkCenteredSliderWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContourWidget"), vtkContourWidgetNewCommand,
                  vtkContourWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCheckerboardRepresentation"), vtkCheckerboardRepresentationNewCommand,
                  vtkCheckerboardRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCheckerboardWidget"), vtkCheckerboardWidgetNewCommand,
                  vtkCheckerboardWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConstrainedPointHandleRepresentation"), vtkConstrainedPointHandleRepresentationNewCommand,
                  vtkConstrainedPointHandleRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDijkstraImageContourLineInterpolator"), vtkDijkstraImageContourLineInterpolatorNewCommand,
                  vtkDijkstraImageContourLineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDistanceWidget"), vtkDistanceWidgetNewCommand,
                  vtkDistanceWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDistanceRepresentation2D"), vtkDistanceRepresentation2DNewCommand,
                  vtkDistanceRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDistanceRepresentation3D"), vtkDistanceRepresentation3DNewCommand,
                  vtkDistanceRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEllipsoidTensorProbeRepresentation"), vtkEllipsoidTensorProbeRepresentationNewCommand,
                  vtkEllipsoidTensorProbeRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEvent"), vtkEventNewCommand,
                  vtkEventCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFixedSizeHandleRepresentation3D"), vtkFixedSizeHandleRepresentation3DNewCommand,
                  vtkFixedSizeHandleRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFocalPlanePointPlacer"), vtkFocalPlanePointPlacerNewCommand,
                  vtkFocalPlanePointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHandleWidget"), vtkHandleWidgetNewCommand,
                  vtkHandleWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHoverWidget"), vtkHoverWidgetNewCommand,
                  vtkHoverWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageActorPointPlacer"), vtkImageActorPointPlacerNewCommand,
                  vtkImageActorPointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageCroppingRegionsWidget"), vtkImageCroppingRegionsWidgetNewCommand,
                  vtkImageCroppingRegionsWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageOrthoPlanes"), vtkImageOrthoPlanesNewCommand,
                  vtkImageOrthoPlanesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImagePlaneWidget"), vtkImagePlaneWidgetNewCommand,
                  vtkImagePlaneWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageTracerWidget"), vtkImageTracerWidgetNewCommand,
                  vtkImageTracerWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitPlaneRepresentation"), vtkImplicitPlaneRepresentationNewCommand,
                  vtkImplicitPlaneRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitPlaneWidget"), vtkImplicitPlaneWidgetNewCommand,
                  vtkImplicitPlaneWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImplicitPlaneWidget2"), vtkImplicitPlaneWidget2NewCommand,
                  vtkImplicitPlaneWidget2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLinearContourLineInterpolator"), vtkLinearContourLineInterpolatorNewCommand,
                  vtkLinearContourLineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLineRepresentation"), vtkLineRepresentationNewCommand,
                  vtkLineRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLineWidget"), vtkLineWidgetNewCommand,
                  vtkLineWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLineWidget2"), vtkLineWidget2NewCommand,
                  vtkLineWidget2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLogoRepresentation"), vtkLogoRepresentationNewCommand,
                  vtkLogoRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLogoWidget"), vtkLogoWidgetNewCommand,
                  vtkLogoWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrientationMarkerWidget"), vtkOrientationMarkerWidgetNewCommand,
                  vtkOrientationMarkerWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrientedGlyphContourRepresentation"), vtkOrientedGlyphContourRepresentationNewCommand,
                  vtkOrientedGlyphContourRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrientedGlyphFocalPlaneContourRepresentation"), vtkOrientedGlyphFocalPlaneContourRepresentationNewCommand,
                  vtkOrientedGlyphFocalPlaneContourRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelopipedRepresentation"), vtkParallelopipedRepresentationNewCommand,
                  vtkParallelopipedRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelopipedWidget"), vtkParallelopipedWidgetNewCommand,
                  vtkParallelopipedWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClosedSurfacePointPlacer"), vtkClosedSurfacePointPlacerNewCommand,
                  vtkClosedSurfacePointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlaneWidget"), vtkPlaneWidgetNewCommand,
                  vtkPlaneWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlaybackRepresentation"), vtkPlaybackRepresentationNewCommand,
                  vtkPlaybackRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlaybackWidget"), vtkPlaybackWidgetNewCommand,
                  vtkPlaybackWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointHandleRepresentation2D"), vtkPointHandleRepresentation2DNewCommand,
                  vtkPointHandleRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointHandleRepresentation3D"), vtkPointHandleRepresentation3DNewCommand,
                  vtkPointHandleRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointPlacer"), vtkPointPlacerNewCommand,
                  vtkPointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointWidget"), vtkPointWidgetNewCommand,
                  vtkPointWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataPointPlacer"), vtkPolyDataPointPlacerNewCommand,
                  vtkPolyDataPointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolygonalHandleRepresentation3D"), vtkPolygonalHandleRepresentation3DNewCommand,
                  vtkPolygonalHandleRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrientedPolygonalHandleRepresentation3D"), vtkOrientedPolygonalHandleRepresentation3DNewCommand,
                  vtkOrientedPolygonalHandleRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolygonalSurfacePointPlacer"), vtkPolygonalSurfacePointPlacerNewCommand,
                  vtkPolygonalSurfacePointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolygonalSurfaceContourLineInterpolator"), vtkPolygonalSurfaceContourLineInterpolatorNewCommand,
                  vtkPolygonalSurfaceContourLineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProp3DButtonRepresentation"), vtkProp3DButtonRepresentationNewCommand,
                  vtkProp3DButtonRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearWipeRepresentation"), vtkRectilinearWipeRepresentationNewCommand,
                  vtkRectilinearWipeRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRectilinearWipeWidget"), vtkRectilinearWipeWidgetNewCommand,
                  vtkRectilinearWipeWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceCursorThickLineRepresentation"), vtkResliceCursorThickLineRepresentationNewCommand,
                  vtkResliceCursorThickLineRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceCursorLineRepresentation"), vtkResliceCursorLineRepresentationNewCommand,
                  vtkResliceCursorLineRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceCursorWidget"), vtkResliceCursorWidgetNewCommand,
                  vtkResliceCursorWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceImageViewer"), vtkResliceImageViewerNewCommand,
                  vtkResliceImageViewerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceImageViewerMeasurements"), vtkResliceImageViewerMeasurementsNewCommand,
                  vtkResliceImageViewerMeasurementsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarBarRepresentation"), vtkScalarBarRepresentationNewCommand,
                  vtkScalarBarRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarBarWidget"), vtkScalarBarWidgetNewCommand,
                  vtkScalarBarWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSeedRepresentation"), vtkSeedRepresentationNewCommand,
                  vtkSeedRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSeedWidget"), vtkSeedWidgetNewCommand,
                  vtkSeedWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSliderRepresentation2D"), vtkSliderRepresentation2DNewCommand,
                  vtkSliderRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSliderRepresentation3D"), vtkSliderRepresentation3DNewCommand,
                  vtkSliderRepresentation3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSliderWidget"), vtkSliderWidgetNewCommand,
                  vtkSliderWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereHandleRepresentation"), vtkSphereHandleRepresentationNewCommand,
                  vtkSphereHandleRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereRepresentation"), vtkSphereRepresentationNewCommand,
                  vtkSphereRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereWidget"), vtkSphereWidgetNewCommand,
                  vtkSphereWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereWidget2"), vtkSphereWidget2NewCommand,
                  vtkSphereWidget2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplineRepresentation"), vtkSplineRepresentationNewCommand,
                  vtkSplineRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplineWidget"), vtkSplineWidgetNewCommand,
                  vtkSplineWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplineWidget2"), vtkSplineWidget2NewCommand,
                  vtkSplineWidget2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTensorProbeWidget"), vtkTensorProbeWidgetNewCommand,
                  vtkTensorProbeWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTerrainDataPointPlacer"), vtkTerrainDataPointPlacerNewCommand,
                  vtkTerrainDataPointPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTerrainContourLineInterpolator"), vtkTerrainContourLineInterpolatorNewCommand,
                  vtkTerrainContourLineInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextRepresentation"), vtkTextRepresentationNewCommand,
                  vtkTextRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTexturedButtonRepresentation"), vtkTexturedButtonRepresentationNewCommand,
                  vtkTexturedButtonRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTexturedButtonRepresentation2D"), vtkTexturedButtonRepresentation2DNewCommand,
                  vtkTexturedButtonRepresentation2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextWidget"), vtkTextWidgetNewCommand,
                  vtkTextWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWidgetCallbackMapper"), vtkWidgetCallbackMapperNewCommand,
                  vtkWidgetCallbackMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWidgetEvent"), vtkWidgetEventNewCommand,
                  vtkWidgetEventCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWidgetEventTranslator"), vtkWidgetEventTranslatorNewCommand,
                  vtkWidgetEventTranslatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWidgetSet"), vtkWidgetSetNewCommand,
                  vtkWidgetSetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXYPlotWidget"), vtkXYPlotWidgetNewCommand,
                  vtkXYPlotWidgetCommand);
  char pkgName[]="vtkWidgetsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
