#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkActorCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkActorCollectionNewCommand();
int vtkActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkActorNewCommand();
int vtkAreaPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAreaPickerNewCommand();
int vtkMapArrayValuesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMapArrayValuesNewCommand();
int vtkAssemblyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssemblyNewCommand();
int vtkAxisActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxisActor2DNewCommand();
int vtkCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraNewCommand();
int vtkCameraActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraActorNewCommand();
int vtkCameraInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraInterpolatorNewCommand();
int vtkCellCenterDepthSortCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellCenterDepthSortNewCommand();
int vtkCellPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCellPickerNewCommand();
int vtkChooserPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChooserPainterNewCommand();
int vtkClipPlanesPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClipPlanesPainterNewCommand();
int vtkCoincidentTopologyResolutionPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCoincidentTopologyResolutionPainterNewCommand();
int vtkColorMaterialHelperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorMaterialHelperNewCommand();
int vtkCompositePainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositePainterNewCommand();
int vtkCompositePolyDataMapper2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositePolyDataMapper2NewCommand();
int vtkCompositePolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompositePolyDataMapperNewCommand();
int vtkCullerCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCullerCollectionNewCommand();
int vtkDataSetMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataSetMapperNewCommand();
int vtkDataTransferHelperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataTransferHelperNewCommand();
int vtkDefaultPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDefaultPainterNewCommand();
int vtkDisplayListPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDisplayListPainterNewCommand();
int vtkDistanceToCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDistanceToCameraNewCommand();
int vtkDynamic2DLabelMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDynamic2DLabelMapperNewCommand();
int vtkDummyGPUInfoListCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDummyGPUInfoListNewCommand();
int vtkFollowerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFollowerNewCommand();
int vtkFrameBufferObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFrameBufferObjectNewCommand();
int vtkFreeTypeStringToImageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFreeTypeStringToImageNewCommand();
int vtkFrustumCoverageCullerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFrustumCoverageCullerNewCommand();
int vtkGenericRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericRenderWindowInteractorNewCommand();
int vtkGenericVertexAttributeMappingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericVertexAttributeMappingNewCommand();
int vtkGlyph3DMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGlyph3DMapperNewCommand();
int vtkGPUInfoCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGPUInfoNewCommand();
int vtkGraphicsFactoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphicsFactoryNewCommand();
int vtkGraphMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphMapperNewCommand();
int vtkGraphToGlyphsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphToGlyphsNewCommand();
int vtkHardwareSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHardwareSelectorNewCommand();
int vtkHardwareSelectionPolyDataPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHardwareSelectionPolyDataPainterNewCommand();
int vtkHierarchicalPolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalPolyDataMapperNewCommand();
int vtkImageActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageActorNewCommand();
int vtkImageMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageMapperNewCommand();
int vtkImagePropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImagePropertyNewCommand();
int vtkImageResliceMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageResliceMapperNewCommand();
int vtkImageSliceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageSliceNewCommand();
int vtkImageSliceCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageSliceCollectionNewCommand();
int vtkImageSliceMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageSliceMapperNewCommand();
int vtkImageStackCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageStackNewCommand();
int vtkImageViewer2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageViewer2NewCommand();
int vtkImageViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageViewerNewCommand();
int vtkImagingFactoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImagingFactoryNewCommand();
int vtkInteractorEventRecorderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorEventRecorderNewCommand();
int vtkInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleNewCommand();
int vtkInteractorStyleFlightCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleFlightNewCommand();
int vtkInteractorStyleImageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleImageNewCommand();
int vtkInteractorStyleJoystickActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleJoystickActorNewCommand();
int vtkInteractorStyleJoystickCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleJoystickCameraNewCommand();
int vtkInteractorStyleRubberBand2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleRubberBand2DNewCommand();
int vtkInteractorStyleRubberBand3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleRubberBand3DNewCommand();
int vtkInteractorStyleRubberBandPickCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleRubberBandPickNewCommand();
int vtkInteractorStyleRubberBandZoomCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleRubberBandZoomNewCommand();
int vtkInteractorStyleSwitchCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleSwitchNewCommand();
int vtkInteractorStyleTerrainCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTerrainNewCommand();
int vtkInteractorStyleTrackballActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTrackballActorNewCommand();
int vtkInteractorStyleTrackballCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTrackballCameraNewCommand();
int vtkInteractorStyleTrackballCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTrackballNewCommand();
int vtkInteractorStyleUnicamCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleUnicamNewCommand();
int vtkInteractorStyleUserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleUserNewCommand();
int vtkIVExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIVExporterNewCommand();
int vtkLabeledDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabeledDataMapperNewCommand();
int vtkLabeledTreeMapDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabeledTreeMapDataMapperNewCommand();
int vtkLabelHierarchyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelHierarchyNewCommand();
int vtkLabelHierarchyAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelHierarchyAlgorithmNewCommand();
int vtkLabelHierarchyCompositeIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelHierarchyCompositeIteratorNewCommand();
int vtkLabelPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelPlacerNewCommand();
int vtkLabelPlacementMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelPlacementMapperNewCommand();
int vtkLabelSizeCalculatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabelSizeCalculatorNewCommand();
int vtkLeaderActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLeaderActor2DNewCommand();
int vtkLightActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightActorNewCommand();
int vtkLightCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightCollectionNewCommand();
int vtkLightCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightNewCommand();
int vtkLightingPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightingPainterNewCommand();
int vtkLightKitCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightKitNewCommand();
int vtkLineIntegralConvolution2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineIntegralConvolution2DNewCommand();
int vtkLinesPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLinesPainterNewCommand();
int vtkLODActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLODActorNewCommand();
int vtkLODProp3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLODProp3DNewCommand();
int vtkMapperCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMapperCollectionNewCommand();
int vtkOBJExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOBJExporterNewCommand();
int vtkObserverMediatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkObserverMediatorNewCommand();
int vtkOOGLExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOOGLExporterNewCommand();
int vtkPainterDeviceAdapterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPainterDeviceAdapterNewCommand();
int vtkPainterPolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPainterPolyDataMapperNewCommand();
int vtkParallelCoordinatesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelCoordinatesActorNewCommand();
int vtkParallelCoordinatesInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelCoordinatesInteractorStyleNewCommand();
int vtkPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPickerNewCommand();
int vtkPixelBufferObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPixelBufferObjectNewCommand();
int vtkPointPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointPickerNewCommand();
int vtkPointSetToLabelHierarchyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointSetToLabelHierarchyNewCommand();
int vtkPointsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointsPainterNewCommand();
int vtkPOVExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPOVExporterNewCommand();
int vtkPolyDataMapper2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataMapper2DNewCommand();
int vtkPolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolyDataMapperNewCommand();
int vtkPolygonsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPolygonsPainterNewCommand();
int vtkProp3DCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProp3DCollectionNewCommand();
int vtkProp3DFollowerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProp3DFollowerNewCommand();
int vtkPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPropertyNewCommand();
int vtkPropPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPropPickerNewCommand();
int vtkQuadricLODActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuadricLODActorNewCommand();
int vtkQuaternionInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQuaternionInterpolatorNewCommand();
int vtkRenderedAreaPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedAreaPickerNewCommand();
int vtkRendererCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRendererCollectionNewCommand();
int vtkRendererCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRendererNewCommand();
int vtkRendererSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRendererSourceNewCommand();
int vtkRenderWindowCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderWindowCollectionNewCommand();
int vtkRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderWindowNewCommand();
int vtkRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderWindowInteractorNewCommand();
int vtkRepresentationPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRepresentationPainterNewCommand();
int vtkResliceCursorActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceCursorActorNewCommand();
int vtkResliceCursorPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkResliceCursorPickerNewCommand();
int vtkScalarBarActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScalarBarActorNewCommand();
int vtkScalarsToColorsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScalarsToColorsPainterNewCommand();
int vtkScaledTextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScaledTextActorNewCommand();
int vtkScenePickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScenePickerNewCommand();
int vtkSelectVisiblePointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSelectVisiblePointsNewCommand();
int vtkStandardPolyDataPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStandardPolyDataPainterNewCommand();
int vtkSurfaceLICDefaultPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSurfaceLICDefaultPainterNewCommand();
int vtkSurfaceLICPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSurfaceLICPainterNewCommand();
int vtkTDxInteractorStyleCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTDxInteractorStyleCameraNewCommand();
int vtkTDxInteractorStyleGeoCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTDxInteractorStyleGeoNewCommand();
int vtkTDxInteractorStyleSettingsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTDxInteractorStyleSettingsNewCommand();
int vtkTestingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTestingNewCommand();
int vtkTextActor3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextActor3DNewCommand();
int vtkTextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextActorNewCommand();
int vtkTextMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextMapperNewCommand();
int vtkTextPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextPropertyNewCommand();
int vtkTextureCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextureNewCommand();
int vtkTexturedActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTexturedActor2DNewCommand();
int vtkTextureObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextureObjectNewCommand();
int vtkTransformInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransformInterpolatorNewCommand();
int vtkTStripsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTStripsPainterNewCommand();
int vtkTupleInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTupleInterpolatorNewCommand();
int vtkViewThemeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewThemeNewCommand();
int vtkVolumeCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVolumeCollectionNewCommand();
int vtkVolumeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVolumeNewCommand();
int vtkVolumePropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVolumePropertyNewCommand();
int vtkVRMLExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVRMLExporterNewCommand();
int vtkWindowToImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWindowToImageFilterNewCommand();
int vtkWorldPointPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWorldPointPickerNewCommand();
int vtkVisibleCellSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVisibleCellSelectorNewCommand();
int vtkIdentColoredPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIdentColoredPainterNewCommand();
int vtkGL2PSExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGL2PSExporterNewCommand();
int vtkXGPUInfoListCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXGPUInfoListNewCommand();
int vtkXRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXRenderWindowInteractorNewCommand();
int vtkQImageToImageSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQImageToImageSourceNewCommand();
int vtkQtInitializationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQtInitializationNewCommand();
int vtkQtLabelRenderStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQtLabelRenderStrategyNewCommand();
int vtkQtStringToImageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQtStringToImageNewCommand();
int vtkQtTreeRingLabelMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQtTreeRingLabelMapperNewCommand();
int vtkCameraPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCameraPassNewCommand();
int vtkClearZPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClearZPassNewCommand();
int vtkDefaultPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDefaultPassNewCommand();
int vtkDepthPeelingPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDepthPeelingPassNewCommand();
int vtkGaussianBlurPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGaussianBlurPassNewCommand();
int vtkLightsPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLightsPassNewCommand();
int vtkGLSLShaderDeviceAdapter2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGLSLShaderDeviceAdapter2NewCommand();
int vtkOpaquePassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpaquePassNewCommand();
int vtkOpenGLActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLActorNewCommand();
int vtkOpenGLCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLCameraNewCommand();
int vtkOpenGLClipPlanesPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLClipPlanesPainterNewCommand();
int vtkOpenGLCoincidentTopologyResolutionPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLCoincidentTopologyResolutionPainterNewCommand();
int vtkOpenGLDisplayListPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLDisplayListPainterNewCommand();
int vtkOpenGLExtensionManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLExtensionManagerNewCommand();
int vtkOpenGLGlyph3DMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLGlyph3DMapperNewCommand();
int vtkOpenGLHardwareSupportCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLHardwareSupportNewCommand();
int vtkOpenGLImageMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLImageMapperNewCommand();
int vtkOpenGLImageSliceMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLImageSliceMapperNewCommand();
int vtkOpenGLLightCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLLightNewCommand();
int vtkOpenGLLightingPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLLightingPainterNewCommand();
int vtkOpenGLPainterDeviceAdapterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLPainterDeviceAdapterNewCommand();
int vtkOpenGLPolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLPolyDataMapperNewCommand();
int vtkOpenGLPolyDataMapper2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLPolyDataMapper2DNewCommand();
int vtkOpenGLPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLPropertyNewCommand();
int vtkOpenGLRendererCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLRendererNewCommand();
int vtkOpenGLRepresentationPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLRepresentationPainterNewCommand();
int vtkOpenGLScalarsToColorsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLScalarsToColorsPainterNewCommand();
int vtkOpenGLTextureCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLTextureNewCommand();
int vtkOverlayPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOverlayPassNewCommand();
int vtkRenderPassCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderPassCollectionNewCommand();
int vtkSequencePassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSequencePassNewCommand();
int vtkShadowMapBakerPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkShadowMapBakerPassNewCommand();
int vtkShadowMapPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkShadowMapPassNewCommand();
int vtkSobelGradientMagnitudePassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSobelGradientMagnitudePassNewCommand();
int vtkTranslucentPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTranslucentPassNewCommand();
int vtkUniformVariablesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUniformVariablesNewCommand();
int vtkVolumetricPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVolumetricPassNewCommand();
int vtkGLSLShaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGLSLShaderNewCommand();
int vtkGLSLShaderDeviceAdapterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGLSLShaderDeviceAdapterNewCommand();
int vtkGLSLShaderProgramCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGLSLShaderProgramNewCommand();
int vtkFreeTypeLabelRenderStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFreeTypeLabelRenderStrategyNewCommand();
int vtkOpenGLFreeTypeTextMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLFreeTypeTextMapperNewCommand();
int vtkGenericOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericOpenGLRenderWindowNewCommand();
int vtkXOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXOpenGLRenderWindowNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);

extern "C" {int VTK_EXPORT Vtktkrenderwidget_Init(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtktkimageviewerwidget_Init(Tcl_Interp *interp);}


extern "C" {int VTK_EXPORT Vtkrenderingtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderingtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderingtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderingtcl_Init(interp);
}


int VTK_EXPORT Vtkrenderingtcl_Init(Tcl_Interp *interp)
{
  Vtktkrenderwidget_Init(interp);
  Vtktkimageviewerwidget_Init(interp);

  vtkTclCreateNew(interp,const_cast<char *>("vtkActorCollection"), vtkActorCollectionNewCommand,
                  vtkActorCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkActor"), vtkActorNewCommand,
                  vtkActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAreaPicker"), vtkAreaPickerNewCommand,
                  vtkAreaPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMapArrayValues"), vtkMapArrayValuesNewCommand,
                  vtkMapArrayValuesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssembly"), vtkAssemblyNewCommand,
                  vtkAssemblyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAxisActor2D"), vtkAxisActor2DNewCommand,
                  vtkAxisActor2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCamera"), vtkCameraNewCommand,
                  vtkCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCameraActor"), vtkCameraActorNewCommand,
                  vtkCameraActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCameraInterpolator"), vtkCameraInterpolatorNewCommand,
                  vtkCameraInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellCenterDepthSort"), vtkCellCenterDepthSortNewCommand,
                  vtkCellCenterDepthSortCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellPicker"), vtkCellPickerNewCommand,
                  vtkCellPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChooserPainter"), vtkChooserPainterNewCommand,
                  vtkChooserPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClipPlanesPainter"), vtkClipPlanesPainterNewCommand,
                  vtkClipPlanesPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCoincidentTopologyResolutionPainter"), vtkCoincidentTopologyResolutionPainterNewCommand,
                  vtkCoincidentTopologyResolutionPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorMaterialHelper"), vtkColorMaterialHelperNewCommand,
                  vtkColorMaterialHelperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositePainter"), vtkCompositePainterNewCommand,
                  vtkCompositePainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositePolyDataMapper2"), vtkCompositePolyDataMapper2NewCommand,
                  vtkCompositePolyDataMapper2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositePolyDataMapper"), vtkCompositePolyDataMapperNewCommand,
                  vtkCompositePolyDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCullerCollection"), vtkCullerCollectionNewCommand,
                  vtkCullerCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetMapper"), vtkDataSetMapperNewCommand,
                  vtkDataSetMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataTransferHelper"), vtkDataTransferHelperNewCommand,
                  vtkDataTransferHelperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDefaultPainter"), vtkDefaultPainterNewCommand,
                  vtkDefaultPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDisplayListPainter"), vtkDisplayListPainterNewCommand,
                  vtkDisplayListPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDistanceToCamera"), vtkDistanceToCameraNewCommand,
                  vtkDistanceToCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDynamic2DLabelMapper"), vtkDynamic2DLabelMapperNewCommand,
                  vtkDynamic2DLabelMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDummyGPUInfoList"), vtkDummyGPUInfoListNewCommand,
                  vtkDummyGPUInfoListCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFollower"), vtkFollowerNewCommand,
                  vtkFollowerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFrameBufferObject"), vtkFrameBufferObjectNewCommand,
                  vtkFrameBufferObjectCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFreeTypeStringToImage"), vtkFreeTypeStringToImageNewCommand,
                  vtkFreeTypeStringToImageCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFrustumCoverageCuller"), vtkFrustumCoverageCullerNewCommand,
                  vtkFrustumCoverageCullerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericRenderWindowInteractor"), vtkGenericRenderWindowInteractorNewCommand,
                  vtkGenericRenderWindowInteractorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericVertexAttributeMapping"), vtkGenericVertexAttributeMappingNewCommand,
                  vtkGenericVertexAttributeMappingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGlyph3DMapper"), vtkGlyph3DMapperNewCommand,
                  vtkGlyph3DMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGPUInfo"), vtkGPUInfoNewCommand,
                  vtkGPUInfoCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphicsFactory"), vtkGraphicsFactoryNewCommand,
                  vtkGraphicsFactoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphMapper"), vtkGraphMapperNewCommand,
                  vtkGraphMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphToGlyphs"), vtkGraphToGlyphsNewCommand,
                  vtkGraphToGlyphsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHardwareSelector"), vtkHardwareSelectorNewCommand,
                  vtkHardwareSelectorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHardwareSelectionPolyDataPainter"), vtkHardwareSelectionPolyDataPainterNewCommand,
                  vtkHardwareSelectionPolyDataPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalPolyDataMapper"), vtkHierarchicalPolyDataMapperNewCommand,
                  vtkHierarchicalPolyDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageActor"), vtkImageActorNewCommand,
                  vtkImageActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageMapper"), vtkImageMapperNewCommand,
                  vtkImageMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageProperty"), vtkImagePropertyNewCommand,
                  vtkImagePropertyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageResliceMapper"), vtkImageResliceMapperNewCommand,
                  vtkImageResliceMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageSlice"), vtkImageSliceNewCommand,
                  vtkImageSliceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageSliceCollection"), vtkImageSliceCollectionNewCommand,
                  vtkImageSliceCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageSliceMapper"), vtkImageSliceMapperNewCommand,
                  vtkImageSliceMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageStack"), vtkImageStackNewCommand,
                  vtkImageStackCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageViewer2"), vtkImageViewer2NewCommand,
                  vtkImageViewer2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageViewer"), vtkImageViewerNewCommand,
                  vtkImageViewerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImagingFactory"), vtkImagingFactoryNewCommand,
                  vtkImagingFactoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorEventRecorder"), vtkInteractorEventRecorderNewCommand,
                  vtkInteractorEventRecorderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyle"), vtkInteractorStyleNewCommand,
                  vtkInteractorStyleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleFlight"), vtkInteractorStyleFlightNewCommand,
                  vtkInteractorStyleFlightCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleImage"), vtkInteractorStyleImageNewCommand,
                  vtkInteractorStyleImageCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleJoystickActor"), vtkInteractorStyleJoystickActorNewCommand,
                  vtkInteractorStyleJoystickActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleJoystickCamera"), vtkInteractorStyleJoystickCameraNewCommand,
                  vtkInteractorStyleJoystickCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleRubberBand2D"), vtkInteractorStyleRubberBand2DNewCommand,
                  vtkInteractorStyleRubberBand2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleRubberBand3D"), vtkInteractorStyleRubberBand3DNewCommand,
                  vtkInteractorStyleRubberBand3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleRubberBandPick"), vtkInteractorStyleRubberBandPickNewCommand,
                  vtkInteractorStyleRubberBandPickCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleRubberBandZoom"), vtkInteractorStyleRubberBandZoomNewCommand,
                  vtkInteractorStyleRubberBandZoomCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleSwitch"), vtkInteractorStyleSwitchNewCommand,
                  vtkInteractorStyleSwitchCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTerrain"), vtkInteractorStyleTerrainNewCommand,
                  vtkInteractorStyleTerrainCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTrackballActor"), vtkInteractorStyleTrackballActorNewCommand,
                  vtkInteractorStyleTrackballActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTrackballCamera"), vtkInteractorStyleTrackballCameraNewCommand,
                  vtkInteractorStyleTrackballCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTrackball"), vtkInteractorStyleTrackballNewCommand,
                  vtkInteractorStyleTrackballCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleUnicam"), vtkInteractorStyleUnicamNewCommand,
                  vtkInteractorStyleUnicamCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleUser"), vtkInteractorStyleUserNewCommand,
                  vtkInteractorStyleUserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIVExporter"), vtkIVExporterNewCommand,
                  vtkIVExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabeledDataMapper"), vtkLabeledDataMapperNewCommand,
                  vtkLabeledDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabeledTreeMapDataMapper"), vtkLabeledTreeMapDataMapperNewCommand,
                  vtkLabeledTreeMapDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelHierarchy"), vtkLabelHierarchyNewCommand,
                  vtkLabelHierarchyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelHierarchyAlgorithm"), vtkLabelHierarchyAlgorithmNewCommand,
                  vtkLabelHierarchyAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelHierarchyCompositeIterator"), vtkLabelHierarchyCompositeIteratorNewCommand,
                  vtkLabelHierarchyCompositeIteratorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelPlacer"), vtkLabelPlacerNewCommand,
                  vtkLabelPlacerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelPlacementMapper"), vtkLabelPlacementMapperNewCommand,
                  vtkLabelPlacementMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabelSizeCalculator"), vtkLabelSizeCalculatorNewCommand,
                  vtkLabelSizeCalculatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLeaderActor2D"), vtkLeaderActor2DNewCommand,
                  vtkLeaderActor2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLightActor"), vtkLightActorNewCommand,
                  vtkLightActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLightCollection"), vtkLightCollectionNewCommand,
                  vtkLightCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLight"), vtkLightNewCommand,
                  vtkLightCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLightingPainter"), vtkLightingPainterNewCommand,
                  vtkLightingPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLightKit"), vtkLightKitNewCommand,
                  vtkLightKitCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLineIntegralConvolution2D"), vtkLineIntegralConvolution2DNewCommand,
                  vtkLineIntegralConvolution2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLinesPainter"), vtkLinesPainterNewCommand,
                  vtkLinesPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLODActor"), vtkLODActorNewCommand,
                  vtkLODActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLODProp3D"), vtkLODProp3DNewCommand,
                  vtkLODProp3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMapperCollection"), vtkMapperCollectionNewCommand,
                  vtkMapperCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOBJExporter"), vtkOBJExporterNewCommand,
                  vtkOBJExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkObserverMediator"), vtkObserverMediatorNewCommand,
                  vtkObserverMediatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOOGLExporter"), vtkOOGLExporterNewCommand,
                  vtkOOGLExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPainterDeviceAdapter"), vtkPainterDeviceAdapterNewCommand,
                  vtkPainterDeviceAdapterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPainterPolyDataMapper"), vtkPainterPolyDataMapperNewCommand,
                  vtkPainterPolyDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelCoordinatesActor"), vtkParallelCoordinatesActorNewCommand,
                  vtkParallelCoordinatesActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelCoordinatesInteractorStyle"), vtkParallelCoordinatesInteractorStyleNewCommand,
                  vtkParallelCoordinatesInteractorStyleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPicker"), vtkPickerNewCommand,
                  vtkPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPixelBufferObject"), vtkPixelBufferObjectNewCommand,
                  vtkPixelBufferObjectCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointPicker"), vtkPointPickerNewCommand,
                  vtkPointPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointSetToLabelHierarchy"), vtkPointSetToLabelHierarchyNewCommand,
                  vtkPointSetToLabelHierarchyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointsPainter"), vtkPointsPainterNewCommand,
                  vtkPointsPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPOVExporter"), vtkPOVExporterNewCommand,
                  vtkPOVExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataMapper2D"), vtkPolyDataMapper2DNewCommand,
                  vtkPolyDataMapper2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataMapper"), vtkPolyDataMapperNewCommand,
                  vtkPolyDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolygonsPainter"), vtkPolygonsPainterNewCommand,
                  vtkPolygonsPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProp3DCollection"), vtkProp3DCollectionNewCommand,
                  vtkProp3DCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProp3DFollower"), vtkProp3DFollowerNewCommand,
                  vtkProp3DFollowerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProperty"), vtkPropertyNewCommand,
                  vtkPropertyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPropPicker"), vtkPropPickerNewCommand,
                  vtkPropPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuadricLODActor"), vtkQuadricLODActorNewCommand,
                  vtkQuadricLODActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQuaternionInterpolator"), vtkQuaternionInterpolatorNewCommand,
                  vtkQuaternionInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedAreaPicker"), vtkRenderedAreaPickerNewCommand,
                  vtkRenderedAreaPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRendererCollection"), vtkRendererCollectionNewCommand,
                  vtkRendererCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderer"), vtkRendererNewCommand,
                  vtkRendererCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRendererSource"), vtkRendererSourceNewCommand,
                  vtkRendererSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderWindowCollection"), vtkRenderWindowCollectionNewCommand,
                  vtkRenderWindowCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderWindow"), vtkRenderWindowNewCommand,
                  vtkRenderWindowCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderWindowInteractor"), vtkRenderWindowInteractorNewCommand,
                  vtkRenderWindowInteractorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRepresentationPainter"), vtkRepresentationPainterNewCommand,
                  vtkRepresentationPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceCursorActor"), vtkResliceCursorActorNewCommand,
                  vtkResliceCursorActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkResliceCursorPicker"), vtkResliceCursorPickerNewCommand,
                  vtkResliceCursorPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarBarActor"), vtkScalarBarActorNewCommand,
                  vtkScalarBarActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarsToColorsPainter"), vtkScalarsToColorsPainterNewCommand,
                  vtkScalarsToColorsPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScaledTextActor"), vtkScaledTextActorNewCommand,
                  vtkScaledTextActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScenePicker"), vtkScenePickerNewCommand,
                  vtkScenePickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSelectVisiblePoints"), vtkSelectVisiblePointsNewCommand,
                  vtkSelectVisiblePointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStandardPolyDataPainter"), vtkStandardPolyDataPainterNewCommand,
                  vtkStandardPolyDataPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSurfaceLICDefaultPainter"), vtkSurfaceLICDefaultPainterNewCommand,
                  vtkSurfaceLICDefaultPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSurfaceLICPainter"), vtkSurfaceLICPainterNewCommand,
                  vtkSurfaceLICPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTDxInteractorStyleCamera"), vtkTDxInteractorStyleCameraNewCommand,
                  vtkTDxInteractorStyleCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTDxInteractorStyleGeo"), vtkTDxInteractorStyleGeoNewCommand,
                  vtkTDxInteractorStyleGeoCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTDxInteractorStyleSettings"), vtkTDxInteractorStyleSettingsNewCommand,
                  vtkTDxInteractorStyleSettingsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTesting"), vtkTestingNewCommand,
                  vtkTestingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextActor3D"), vtkTextActor3DNewCommand,
                  vtkTextActor3DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextActor"), vtkTextActorNewCommand,
                  vtkTextActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextMapper"), vtkTextMapperNewCommand,
                  vtkTextMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextProperty"), vtkTextPropertyNewCommand,
                  vtkTextPropertyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTexture"), vtkTextureNewCommand,
                  vtkTextureCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTexturedActor2D"), vtkTexturedActor2DNewCommand,
                  vtkTexturedActor2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextureObject"), vtkTextureObjectNewCommand,
                  vtkTextureObjectCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransformInterpolator"), vtkTransformInterpolatorNewCommand,
                  vtkTransformInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTStripsPainter"), vtkTStripsPainterNewCommand,
                  vtkTStripsPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTupleInterpolator"), vtkTupleInterpolatorNewCommand,
                  vtkTupleInterpolatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkViewTheme"), vtkViewThemeNewCommand,
                  vtkViewThemeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVolumeCollection"), vtkVolumeCollectionNewCommand,
                  vtkVolumeCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVolume"), vtkVolumeNewCommand,
                  vtkVolumeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVolumeProperty"), vtkVolumePropertyNewCommand,
                  vtkVolumePropertyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVRMLExporter"), vtkVRMLExporterNewCommand,
                  vtkVRMLExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWindowToImageFilter"), vtkWindowToImageFilterNewCommand,
                  vtkWindowToImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWorldPointPicker"), vtkWorldPointPickerNewCommand,
                  vtkWorldPointPickerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVisibleCellSelector"), vtkVisibleCellSelectorNewCommand,
                  vtkVisibleCellSelectorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIdentColoredPainter"), vtkIdentColoredPainterNewCommand,
                  vtkIdentColoredPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGL2PSExporter"), vtkGL2PSExporterNewCommand,
                  vtkGL2PSExporterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXGPUInfoList"), vtkXGPUInfoListNewCommand,
                  vtkXGPUInfoListCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXRenderWindowInteractor"), vtkXRenderWindowInteractorNewCommand,
                  vtkXRenderWindowInteractorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQImageToImageSource"), vtkQImageToImageSourceNewCommand,
                  vtkQImageToImageSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQtInitialization"), vtkQtInitializationNewCommand,
                  vtkQtInitializationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQtLabelRenderStrategy"), vtkQtLabelRenderStrategyNewCommand,
                  vtkQtLabelRenderStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQtStringToImage"), vtkQtStringToImageNewCommand,
                  vtkQtStringToImageCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQtTreeRingLabelMapper"), vtkQtTreeRingLabelMapperNewCommand,
                  vtkQtTreeRingLabelMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCameraPass"), vtkCameraPassNewCommand,
                  vtkCameraPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClearZPass"), vtkClearZPassNewCommand,
                  vtkClearZPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDefaultPass"), vtkDefaultPassNewCommand,
                  vtkDefaultPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDepthPeelingPass"), vtkDepthPeelingPassNewCommand,
                  vtkDepthPeelingPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGaussianBlurPass"), vtkGaussianBlurPassNewCommand,
                  vtkGaussianBlurPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLightsPass"), vtkLightsPassNewCommand,
                  vtkLightsPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGLSLShaderDeviceAdapter2"), vtkGLSLShaderDeviceAdapter2NewCommand,
                  vtkGLSLShaderDeviceAdapter2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpaquePass"), vtkOpaquePassNewCommand,
                  vtkOpaquePassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLActor"), vtkOpenGLActorNewCommand,
                  vtkOpenGLActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLCamera"), vtkOpenGLCameraNewCommand,
                  vtkOpenGLCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLClipPlanesPainter"), vtkOpenGLClipPlanesPainterNewCommand,
                  vtkOpenGLClipPlanesPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLCoincidentTopologyResolutionPainter"), vtkOpenGLCoincidentTopologyResolutionPainterNewCommand,
                  vtkOpenGLCoincidentTopologyResolutionPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLDisplayListPainter"), vtkOpenGLDisplayListPainterNewCommand,
                  vtkOpenGLDisplayListPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLExtensionManager"), vtkOpenGLExtensionManagerNewCommand,
                  vtkOpenGLExtensionManagerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLGlyph3DMapper"), vtkOpenGLGlyph3DMapperNewCommand,
                  vtkOpenGLGlyph3DMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLHardwareSupport"), vtkOpenGLHardwareSupportNewCommand,
                  vtkOpenGLHardwareSupportCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLImageMapper"), vtkOpenGLImageMapperNewCommand,
                  vtkOpenGLImageMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLImageSliceMapper"), vtkOpenGLImageSliceMapperNewCommand,
                  vtkOpenGLImageSliceMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLLight"), vtkOpenGLLightNewCommand,
                  vtkOpenGLLightCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLLightingPainter"), vtkOpenGLLightingPainterNewCommand,
                  vtkOpenGLLightingPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLPainterDeviceAdapter"), vtkOpenGLPainterDeviceAdapterNewCommand,
                  vtkOpenGLPainterDeviceAdapterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLPolyDataMapper"), vtkOpenGLPolyDataMapperNewCommand,
                  vtkOpenGLPolyDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLPolyDataMapper2D"), vtkOpenGLPolyDataMapper2DNewCommand,
                  vtkOpenGLPolyDataMapper2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLProperty"), vtkOpenGLPropertyNewCommand,
                  vtkOpenGLPropertyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLRenderer"), vtkOpenGLRendererNewCommand,
                  vtkOpenGLRendererCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLRepresentationPainter"), vtkOpenGLRepresentationPainterNewCommand,
                  vtkOpenGLRepresentationPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLScalarsToColorsPainter"), vtkOpenGLScalarsToColorsPainterNewCommand,
                  vtkOpenGLScalarsToColorsPainterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLTexture"), vtkOpenGLTextureNewCommand,
                  vtkOpenGLTextureCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOverlayPass"), vtkOverlayPassNewCommand,
                  vtkOverlayPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderPassCollection"), vtkRenderPassCollectionNewCommand,
                  vtkRenderPassCollectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSequencePass"), vtkSequencePassNewCommand,
                  vtkSequencePassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkShadowMapBakerPass"), vtkShadowMapBakerPassNewCommand,
                  vtkShadowMapBakerPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkShadowMapPass"), vtkShadowMapPassNewCommand,
                  vtkShadowMapPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSobelGradientMagnitudePass"), vtkSobelGradientMagnitudePassNewCommand,
                  vtkSobelGradientMagnitudePassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTranslucentPass"), vtkTranslucentPassNewCommand,
                  vtkTranslucentPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUniformVariables"), vtkUniformVariablesNewCommand,
                  vtkUniformVariablesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVolumetricPass"), vtkVolumetricPassNewCommand,
                  vtkVolumetricPassCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGLSLShader"), vtkGLSLShaderNewCommand,
                  vtkGLSLShaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGLSLShaderDeviceAdapter"), vtkGLSLShaderDeviceAdapterNewCommand,
                  vtkGLSLShaderDeviceAdapterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGLSLShaderProgram"), vtkGLSLShaderProgramNewCommand,
                  vtkGLSLShaderProgramCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFreeTypeLabelRenderStrategy"), vtkFreeTypeLabelRenderStrategyNewCommand,
                  vtkFreeTypeLabelRenderStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLFreeTypeTextMapper"), vtkOpenGLFreeTypeTextMapperNewCommand,
                  vtkOpenGLFreeTypeTextMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericOpenGLRenderWindow"), vtkGenericOpenGLRenderWindowNewCommand,
                  vtkGenericOpenGLRenderWindowCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXOpenGLRenderWindow"), vtkXOpenGLRenderWindowNewCommand,
                  vtkXOpenGLRenderWindowCommand);
  char pkgName[]="vtkRenderingTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
